{* $Id: AddAdmin.tpl 7706 2006-06-22 23:14:51Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an admin's profile.
 *
 * Smarty Variables:
 *	$admin (array of this admin's data)
 *		adminID			A unique admin ID
 *		adminFirstName	An admin's first name
 *		adminLastName	An admin's last name
 *		adminEmail		An admin's email address
 *		adminUsername	An admin's username
 *		adminActive		The active state of an admin
 *		themeID 		The unique themeID
 *		languageID 		The unique languageID
 *		countriesID 	The unique countriesID
 *	$actionID			The unique action ID for this page view
 *  $actionName			The action name for this action ID
 *	$imageDirectory		The image directory for this theme
 *	$tplDirectory		The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ADMIN_ID" d="Admin ID"}
{t c="TRANS_ADMIN_PROFILE" d="Admin Profile"}
{t c="TRANS_ASSIGNED_ADMIN_GROUPS" d="Assigned Admin Groups"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_CHANGE_REMOTE_ACCESS_HASH" d="Change Remote Access Hash"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_MANAGE_ADMINS" d="Manage Admins"}
{t c="TRANS_MANAGE_SYSTEM" d="Manage System"}
{t c="TRANS_NEW_PASSWORD" d="New Password"}
{t c="TRANS_ENTER_PASSWORD_AGAIN" d="Enter Password Again"}
{t c="TRANS_THEME" d="Theme"}
{t c="TRANS_UPDATE_PROFILE" d="Update Profile"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_USERNAME" d="Active"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_SYSTEM"
	childName="TRANS_MANAGE_ADMINS"
	grandchildName="TRANS_ADD_ADMIN_PROFILE"
	sideNavMajor="system"
	sideNavMinor="admins"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="admins.php" name="addAdminForm">
<input type="hidden" name="action" value="{getActionID action="AddAdminResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="adminActive" value="1" />

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
{include
	file="$tplDirectory/widgets/forms/validateInputText.tpl"
	name="adminFirstName"
	value=$formValues.adminFirstName|stripslashes
	title="TRANS_FIRST_NAME"}
{include
	file="$tplDirectory/widgets/forms/validateInputText.tpl"
	name="adminLastName"
	value=$formValues.adminLastName|stripslashes
	title="TRANS_LAST_NAME"}
{include
	file="$tplDirectory/widgets/forms/validateInputText.tpl"
	name="adminEmail"
	value=$formValues.adminEmail|stripslashes
	title="TRANS_EMAIL"}
{include
	file="$tplDirectory/widgets/forms/validateInputText.tpl"
	name="adminUsername"
	value=$formValues.adminUsername|stripslashes
	title="TRANS_USERNAME"}
{include
	file="$tplDirectory/widgets/forms/validateInputPassword.tpl"
	name="adminPassword"
	value=$formValues.adminPassword
	title="TRANS_NEW_PASSWORD"}
{include
	file="$tplDirectory/widgets/forms/validateInputPassword.tpl"
	name="adminPasswordConfirm"
	value=$formValues.adminPasswordConfirm
	title="TRANS_ENTER_PASSWORD_AGAIN"}
<tr class="{if $invalid.themeID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row">{$smarty.const.TRANS_THEME}</th>
	<td width="100%">
        <select id="themeID" name="themeID">
            {html_options options=$themes selected=$admin.themeID}
        </select>  {$invalid.themeID}
    </td>
</tr>
<tr class="{if $invalid.languageID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row">{$smarty.const.TRANS_LANGUAGE}</th>
	<td width="100%">
        <select id="languageID" name="languageID">
            {html_options options=$languages selected=$admin.languageID}
        </select>  {$invalid.languageID}
    </td>
</tr>
<tr class="{if $invalid.countriesID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row">{$smarty.const.TRANS_COUNTRY}</th>
	<td width="100%">
        <select id="countriesID" name="countriesID">
            {html_options options=$countries selected=$admin.countriesID}
        </select>  {$invalid.countriesID}
    </td>
</tr>
<tr class="{if $invalid.adminActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row">{$smarty.const.TRANS_ACTIVE}</th>
	<td width="100%">
        {html_radios id="adminActive" name="adminActive" options=$activeInactive selected=$admin.adminActive separator="<br />"}
    </td>
</tr>

<tr class="{if $invalid.adminGroups}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row">{$smarty.const.TRANS_ASSIGNED_ADMIN_GROUPS}</th>
	<td width="100%">
        {html_checkboxes name="adminGroups" options=$adminGroups selected=$formValues.adminGroups separator="<br />"}
    </td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_ADD_ADMIN_PROFILE}" /></td>
</tr>
</tbody>
</table>

</form>

<script language="javascript">
<!--
// clear out fields that the browser will prefill if it remembers usernames and passwords
setTimeout("document.addAdminForm.adminUsername.value='';", 500);
setTimeout("document.addAdminForm.adminPassword.value='';", 500);
// -->
</script>

{include file="$tplDirectory/footer.tpl"}
