{* $Id: EditClient.tpl 9038 2006-09-20 20:13:01Z mfountain $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *	$formValues (array of this clients data)
 *		clientID			A unique client ID
 *		clientFirstName		A client's first name
 *		clientLastName		A client's last name
 *		clientEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CLIENTID" d="Client ID"}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EDIT_CLIENT" d="Edit Client"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_BILLING_METHOD" d="Billing Method"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_NEW_PASSWORD" d="New Password"}
{t c="TRANS_CONFIRM_PASSWORD" d="Confirm Password"}
{t c="TRANS_PASSWORD_MSG" d="Leave blank to keep old password."}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}
{t c="TRANS_APPLY" d="Apply"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_ACCOUNT" d="Account"}
{t c="TRANS_PERSONAL" d="Personal"}
{t c="TRANS_BILLING" d="Billing"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_THEME" d="Theme"}
{t c="TRANS_BILLING_DAY_OF_MONTH" d="Monthly Billing Day"}
{t c="TRANS_BILLING_DAY_EXPLAINED" d="This only applies if you bill in monthly mode rather than anniversary."}
{t c="TRANS_STATUS_CHANGE_REASON" d="Status Change Reason"}
{t c="TRANS_COMPANY_NAME" d="Company Name"}
{t c="TRANS_BILLING_AND_TAX_SETTINGS" d="Billing and Tax Settings"}

{t c="TRANS_RECORD_IS_ACTIVE" d="Record Is Active"}
{t c="TRANS_DEFAULT_THEME" d="Default Theme"}
{t c="TRANS_CURRENT_STATUS" d="Current Status"}
{t c="TRANS_IS_TAXABLE" d="Is Taxable"}
{t c="TRANS_IS_ARCHIVED" d="Is Archived"}
{t c="TRANS_BILLING_COUNTRY" d="Billing Country"}
{t c="TRANS_DEFAULT_BILLING_ACCOUNT" d="Default Billing Account"}
{t c="TRANS_CURRENT_STATUS_CHANGING" d="Only active accounts can be billed."}
{t c="TRANS_OBEY_SYSTEMWIDE_SETTINGS" d="Obey system wide settings."}
{t c="TRANS_CLIENT_GROUP" d="Client Group"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/context/client.tpl" 
	client=$client suppressEditLink=1 suppressDeleteLink=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="clients.php">
<input type="hidden" name="action" value="{getActionID action="EditClientResponse"}" />
<input type="hidden" name="clientID" value="{$formValues.clientID}" />
<input type="hidden" name="sid" value="{$sid}" />

<div class="box07" style="background-color:#EEEDE9;width:770px;">

<table width="100%" border="0" cellspacing="1" cellpadding="1" class="tabTight">

{********* TRANS_CLIENT_DETAILS *********}
<tr>
	<td colspan="2"><div class="st01"><h1>{$smarty.const.TRANS_CLIENT_DETAILS}</h1></div></td>
</tr>
<tr class="{cycle values="alt1,alt2" reset=true}">
	<td width="25%" class="title"><label for="clientID">{$smarty.const.TRANS_CLIENTID}</label>:</td>
	<td><strong>{$formValues.clientID}</strong></td>
</tr>
<tr class="{if $invalid.clientActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="clientActive">{$smarty.const.TRANS_IS_ARCHIVED}</label>:</td>
	<td>
		<strong>{$formValues.clientActive|getStatusName:"archived"}</strong>
		&nbsp;
		[{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="EditClientArchiveState"
			args="clientID=`$formValues.clientID`"
			altText="TRANS_EDIT"
			linkText="TRANS_EDIT"}]
	</td>
</tr>
<tr class="{if $invalid.clientCompany}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="clientCompany">{$smarty.const.TRANS_COMPANY_NAME}</label>:</td>
	<td><input style="width:200px;" maxlength="100" type="text" id="clientCompany" name="clientCompany" value="{$formValues.clientCompany}" /> {$invalid.clientCompany}</td>
</tr>
<tr class="{if $invalid.themeID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="themeID">{$smarty.const.TRANS_DEFAULT_THEME}</label>:</td>
	<td><select style="width:200px;" id="themeID" name="themeID"> {html_options options=$themeList selected=$formValues.themeID} </select> {$invalid.themeID}</td>
</tr>
<tr class="{if $invalid.themeID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="themeID">{$smarty.const.TRANS_CLIENT_GROUP}</label>:</td>
	<td>
		<select style="width:200px;" id="groupID" name="groupID">
	 		<option value="0">{$smarty.const.TRANS_NONE}</option>
	 		{html_options options=$attributeGroups selected=$formValues.groupID}
		</select>
		&nbsp;
		[{include file="$tplDirectory/widgets/actionLink.tpl"
			page="clients.php"
			actionName="ShowAttributeGroups"
			args="groupID=`$formValues.groupID`"
			altText="TRANS_MANAGE"
			linkText="TRANS_MANAGE"}]
	</td>
</tr>

{********* TRANS_CLIENT_STATUS *********}
<tr>
	<td colspan="2"><div class="st01"><h1>{$smarty.const.TRANS_CLIENT_STATUS}</h1></div></td>
</tr>
<tr class="{if $invalid.clientStatus}highlight{else}{cycle values="alt1,alt2" reset=true}{/if}">
	<td class="title"><label for="clientStatus">{$smarty.const.TRANS_CURRENT_STATUS}</label>:</td>
	<td>
		<select style="width:200px;" id="clientStatus" id="clientStatus" name="clientStatus"> 
			{html_options options=$statusList selected=$formValues.clientStatus}
		</select> 
		{$smarty.const.TRANS_CURRENT_STATUS_CHANGING}
	</td>
</tr>
<tr class="{if $invalid.clientStatusReason}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="clientStatusReason">{$smarty.const.TRANS_STATUS_CHANGE_REASON}</label>:</td>
	<td><textarea style="width:200px;" id="clientStatusReason" id="clientStatusReason" maxlength="255" cols="35" rows="2" name="clientStatusReason"> {$formValues.clientStatusReason|escape:html}</textarea> {$invalid.clientStatusReason}</td>
</tr>

{********* TRANS_CLIENT_STATUS *********}
<tr>
	<td colspan="2"><div class="st01"><h1>{$smarty.const.TRANS_BILLING_AND_TAX_SETTINGS}</h1></div></td>
</tr>
<tr class="{if $invalid.clientBillingDay}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="clientBillingDay">{$smarty.const.TRANS_BILLING_DAY_OF_MONTH}</label>:</td>
	<td><select style="width:200px;" id="clientBillingDay" name="clientBillingDay">
		<option value="0">{$smarty.const.TRANS_OBEY_SYSTEMWIDE_SETTINGS}</option>
		<option selected="selected" value="{$formValues.clientBillingDay}">{$formValues.clientBillingDay}</option>
		<option value="1">1</option>
		<option value="2">2</option>
		<option value="3">3</option>
		<option value="4">4</option>
		<option value="5">5</option>
		<option value="6">6</option>
		<option value="7">7</option>
		<option value="8">8</option>
		<option value="9">9</option>
		<option value="10">10</option>
		<option value="11">11</option>
		<option value="12">12</option>
		<option value="13">13</option>
		<option value="14">14</option>
		<option value="15">15</option>
		<option value="16">16</option>
		<option value="17">17</option>
		<option value="18">18</option>
		<option value="19">19</option>
		<option value="20">20</option>
		<option value="21">21</option>
		<option value="22">22</option>
		<option value="23">23</option>
		<option value="24">24</option>
		<option value="25">25</option>
		<option value="26">26</option>
		<option value="27">27</option>
		<option value="28">28</option>
	</select> {$smarty.const.TRANS_BILLING_DAY_EXPLAINED} {$invalid.clientBillingDay}</td>
</tr>
<tr class="{if $invalid.countriesID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="countriesID">{$smarty.const.TRANS_BILLING_COUNTRY}</label>:</td>
	<td><select style="width:200px;" id="countriesID" id="countriesID" name="countriesID"> {html_options options=$countryList selected=$formValues.countriesID} </select> {$invalid.countriesID}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<td class="title"><label for="defaultBillingAccountID">{$smarty.const.TRANS_DEFAULT_BILLING_ACCOUNT}</label></td>
	<td><select id="defaultBillingAccountID" name="defaultBillingAccountID">
		{html_options options=$selectableBillingAccounts selected=$client.defaultBillingAccountID}
	</select></td>	
</tr>
<tr class="{if $invalid.applyTax}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="applyTax">{$smarty.const.TRANS_IS_TAXABLE}</label>:</td>
	<td>
		<input type="radio" name="applyTax" value="1" {if $formValues.applyTax=="1"}checked="checked"{/if} /> 
		{$smarty.const.TRANS_YES}
		&nbsp;
		<input type="radio" name="applyTax" value="0" {if $formValues.applyTax!="1"}checked="checked"{/if} /> 
		{$smarty.const.TRANS_NO}
	</td>
</tr>
<tr class="{if $invalid.taxIDNumber}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td class="title"><label for="taxIDNumber">{$smarty.const.TRANS_TAX_ID_NUMBER}</label>:</td>
	<td><input style="width:200px;" maxlength="50" id="taxIDNumber" type="text" name="taxIDNumber" value="{$formValues.taxIDNumber}" /> {$invalid.taxIDNumber}</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<br />
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE}" />
		&nbsp;
		<input class="reset" type="reset" value="{$smarty.const.TRANS_RESET}" />
	</td>
</tr>
</table>

</div> {* box07 *}

</form>

<br />

{include file="$tplDirectory/footer.tpl"}
