{* $Id: EditClientArchiveState.tpl 13423 2008-11-21 16:25:03Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *	$formValues (array of this clients data)
 *		clientID			A unique client ID
 *		clientFirstName		A client's first name
 *		clientLastName		A client's last name
 *		clientEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}

{t c="TRANS_IS_ARCHIVED" d="Is Archived"}
{t c="TRANS_EDIT_CLIENT_ARCHIVE_SETTINGS" d="Edit Client Archive Settings"}
{t c="TRANS_WARNING_ACTIVE_PACKAGES" d="Warning: This client has active packages that will not be billed if this record is archived."}
{t c="TRANS_NOTICE_ACTIVE_PACKAGES" d="Notice: A record that is archived is suppressed and no longer billable. The accounting history will still be used for reports."}
{t c="TRANS_EXPLAIN_NO_CLIENTS_LEFT_NOTE" d="NOTE: You cannot unarchive this client because it would exceed the account limit on your license.  Please purchase a larger capacity license if you need additional client spaces."}


{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/context/client.tpl" 
	client=$client suppressEditLink=1 suppressDeleteLink=1}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

<form method="post" action="clients.php">
<input type="hidden" name="action" value="{getActionID action="EditClientArchiveStateResponse"}">
<input type="hidden" name="clientID" value="{$client.clientID}">
<input type="hidden" name="sid" value="{$sid}">

<div class="box07" style="background-color:#EEEDE9;width:770px;">

<table width="100%" border="0" cellspacing="1" cellpadding="1" class="tabTight">

{********* TRANS_CLIENT_DETAILS *********}
<tr>
	<td colspan="2"><div class="st01"><h1>{$smarty.const.TRANS_EDIT_CLIENT_ARCHIVE_SETTINGS}</h1></div></td>
</tr>
<tr class="{if $invalid.clientActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td colspan="2">
		{if $numActivePackages}
			<strong style="color:red;">
			{$smarty.const.TRANS_WARNING_ACTIVE_PACKAGES}
			</strong>
		{else}
			<strong style="color:blue;">
			{$smarty.const.TRANS_NOTICE_ACTIVE_PACKAGES}
			</strong>
		{/if}
	</td>
</tr>
<tr class="{if $invalid.clientActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<td width="25%" class="title"><label for="clientActive">{$smarty.const.TRANS_IS_ARCHIVED}</label>:</td>
	<td>
		{if $smarty.const.numClientsRemaining<1 AND $client.clientActive!="1"}
			<input type="radio" disabled="disabled" name="clientActive" value="0" checked="checked" /> 
			{$smarty.const.TRANS_YES}
			<br />
			<input type="radio" disabled="disabled" name="clientActive" value="1" /> 
			{$smarty.const.TRANS_NO}
			<br />
			<strong>{$smarty.const.TRANS_EXPLAIN_NO_CLIENTS_LEFT_NOTE}</strong>
		{else}
			<input type="radio" name="clientActive" value="0" {if $client.clientActive!="1"}checked="checked"{/if} /> 
			{$smarty.const.TRANS_YES}
			<br />
			<input type="radio" name="clientActive" value="1" {if $client.clientActive=="1"}checked="checked"{/if} /> 
			{$smarty.const.TRANS_NO}
		{/if}
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<br />
		<input class="submit" type="submit" {if $smarty.const.numClientsRemaining<1 AND $client.clientActive!="1"}disabled="disabled"{/if} value="{$smarty.const.TRANS_SAVE}" />
	</td>
</tr>
</table>

</div> {* box07 *}

</form>

<br />

{include file="$tplDirectory/footer.tpl"}
