{* $Id: header.tpl 13483 2008-12-05 16:40:07Z kbailey $
 * --------------------------------------------------------------
 * This is the primary header template for the Admin GUI of ModernBill. Note that this header.tpl
 * file will open several HTML tags must be closed by the footer.tpl file.
 *
 * Smarty Variables:
 *  $htmlTitle		The title of this document
 *  $htmlLang		The language this document will render
 *	$parentName		The page info parent name
 *	$childName		The page info child name
 *	$useMenu		The tab name to highlight
 *	$sideNavMajor		The side navigation file to include
 *	$loginName		The name of the admin user who is logged in
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/header.tpl" parentName="TRANS_MANAGE_CLIENTS" childName="TRANS_SHOW_CLIENTS" sideNavMajor="clients"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_EVENTS" d="Events"}
{t c="TRANS_FINANCES" d="Finances"}
{t c="TRANS_HELPDESK" d="Helpdesk"}
{t c="TRANS_LOGOFF" d="Logoff"}
{t c="TRANS_LOGGED_IN_AS" d="Logged in as"}
{t c="TRANS_MODULES" d="Modules"}
{t c="TRANS_PRODUCTS" d="Products"}
{t c="TRANS_PROFILE" d="Profile"}
{t c="TRANS_SYSTEM" d="System"}
{t c="TRANS_SEARCH" d="Search"}
{t c="TRANS_SMART" d="Smart"}
{t c="TRANS_HOME" d="Home"}
{t c="TRANS_STOP_RECORDING" d="Stop Recording"}
{t c="TRANS_STOP_DEBUGGING" d="Stop Debugging"}
{t c="TRANS_CLIENT_SIDE_PAYMENT_OPTIONS" d="Client Side Payment Options"}
{t c="TRANS_NEW_ORDER_EMAILS" d="New Order Email"}
{t c="TRANS_SSO__SETTINGS" d="SSO Settings"}

{if $smarty.request.__print==1}
	{include
		file="$tplDirectory/header.print.tpl"
		parentName=$parentName
		childName=$childName}
{else}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{$smarty.const.TRANS_TEXTDIRECTION}">
<head>
<title>{strip}
	{if $htmlTitle}
		{$htmlTitle}
	{else}
		{if $parentName}
			{$smarty.const.$parentName|default:$parentName}
		{/if}
		{if $childName}
			&nbsp;&raquo; {$smarty.const.$childName|default:$childName}
		{/if}
		{if $grandchildName}
			&nbsp;&raquo; {$smarty.const.$grandchildName|default:$grandchildName}
		{/if}
	{/if}
{/strip}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="{$cssDirectory}/style.css" />
<link rel="stylesheet" type="text/css" href="{$cssDirectory}/menu.css" />
<link rel="shortcut icon" href="{$imageDirectory}/logos/favicon.ico" />
<script language="javascript" type="text/javascript" src="{$jsDirectory}/preloadm.js"></script>
<!-- <script language="JavaScript" type="text/javascript" src="{$jsDirectory}/overlib.js"></script> -->
<script language="JavaScript" type="text/javascript" src="{$jsDirectory}/toggle.js"></script>
<script language="JavaScript" type="text/javascript" src="{$jsDirectory}/main.js"></script>
<script language="JavaScript" type="text/javascript" src="{$jsDirectory}/pushpull.js"></script>
{if $systemQueue.systemQueueRunning}
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/progress.js"></script>
{/if}
{if $includeAjaxJS}
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/../ajax/core/ajax.inc.js"></script>
{/if}
{if $includeDomainJS}
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/domains.js"></script>
{/if}
{if $includeTableSorting}
<script language="javascript" type="text/javascript" src="{$jsDirectory}/common.js"></script>
<script language="javascript" type="text/javascript" src="{$jsDirectory}/css.js"></script>
<script language="javascript" type="text/javascript" src="{$jsDirectory}/table-sorting.js"></script>
{/if}
{* the following css & js files support the js calendar *}
<link rel="stylesheet" type="text/css" charset="utf-8" href="{$jsDirectory}/cal/themes/enx.css" />
<link rel="stylesheet" type="text/css" charset="utf-8" href="{$jsDirectory}/cal/themes/layouts/small.css" />
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/scriptaculous/lib/prototype.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/scriptaculous/src/scriptaculous.js"></script>
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/cal/src/utils.js"></script>
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/cal/src/calendar.js"></script>
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/cal/src/calendar-setup.js"></script>
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/cal/lang/calendar-{$calendarLanguageFile}.js"></script>

<script language="javascript" type="text/javascript" charset="utf-8">

{* only all the following sub-menus if a sub menu file exists *}
{if $sideNavMajor==""}
	{assign var="sideNavMajor" value=$useMenu}
{/if}
{assign var="argsSystemQueueStatus" value="queue"|getStatusID:"new"}
	var sideNavMajor = '{$sideNavMajor}';
{literal}

	var navGoNow = true;

	function showSubNav(x){
		hideobjbyid('majorNavDiv_clients');
		hideobjbyid('majorNavDiv_products');
		hideobjbyid('majorNavDiv_finances');
		hideobjbyid('majorNavDiv_reports');
		hideobjbyid('majorNavDiv_helpdesk');
		hideobjbyid('majorNavDiv_events');
		hideobjbyid('majorNavDiv_system');
		showobjbyid('majorNavDiv_'+x);
	}

{/literal}


</script>

</head>
{if $systemQueue.systemQueueRunning && $systemQueue.systemQueueStop!=1}
<body onLoad="checkSystemEventStatus()">
{else}
<body>
{/if}
<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>
<div id="navOverDiv" style="position:absolute; display: none; z-index:1000; border: 1px solid #999; background: #cfcdc7; width: 201px; padding-top: 10px; padding-bottom: 5px;"></div>

<table cellspacing="0" class="top01" ondblclick="handleDoubleClick(event);">
<tbody>
<tr>
	<td class="bg01" valign="top">
	    <div class="top">
			<div class="top01" style="background:url({$imageDirectory}/bg/logobg.gif) no-repeat 0px 0px; width:206px;">
				<img src="{$imageDirectory}/logos/logo.gif" width="140" height="55" alt="Your Logo" title="Your Logo" hspace="20" vspace="5" /></div>
			<div style="float:right;"><img src="{$imageDirectory}/spacer.gif" width="500" height="6" alt="" title="" /></div>
			<div class="menu01">
				{* display is in reverse order *}
				<a href="http://www.parallels.com" style="padding:0px;padding-top:5px;" target="_blank"><img src="{$imageDirectory}/logos/ParallelsLogo.gif" width="170" height="48" alt="Parallels" title="Parallels"/></a>
				<a href="configs.php?sid={$sid}&action={getActionID action="ShowConfigs"}&parentConfigGroupID=0" onmouseover="showSubNav('system');"
					{toggleClass class1="system" class2="systemo" var="system" value=$useMenu}>
					{$smarty.const.TRANS_SYSTEM}
					<br /><img src="{$imageDirectory}/spacer.gif" width="85" height="1" alt="" title="" /></a>
				<a href="reports.php?sid={$sid}&action={getActionID action="ShowReports"}" onmouseover="showSubNav('reports');"
					{toggleClass class1="reports" class2="reportso" var="reports" value=$useMenu}>
					{$smarty.const.TRANS_REPORTS}
					<br /><img src="{$imageDirectory}/spacer.gif" width="85" height="1" alt="" title="" /></a>
				<a href="products.php?sid={$sid}&action={getActionID action="ShowProducts"}" onmouseover="showSubNav('products');"
					{toggleClass class1="products" class2="productso" var="products" value=$useMenu}>
					{$smarty.const.TRANS_PRODUCTS}
					<br /><img src="{$imageDirectory}/spacer.gif" width="85" height="1" alt="" title="" /></a>
				<a href="events.php?sid={$sid}&action={getActionID action="ShowEvents"}&systemQueueStatus={$argsSystemQueueStatus}" onmouseover="showSubNav('events');"
					{toggleClass class1="events" class2="eventso" var="events" value=$useMenu}>
					{$smarty.const.TRANS_EVENTS}
					<br /><img src="{$imageDirectory}/spacer.gif" width="85" height="1" alt="" title="" /></a>
				<a href="invoices.php?sid={$sid}&action={getActionID action="ShowInvoices"}" onmouseover="showSubNav('finances');"
					{toggleClass class1="finances" class2="financeso" var="finances" value=$useMenu}>
					{$smarty.const.TRANS_FINANCES}
					<br /><img src="{$imageDirectory}/spacer.gif" width="85" height="1" alt="" title="" /></a>
				<a href="helpdesk.php?sid={$sid}&action={getActionID action="ShowHelpdesk"}" onmouseover="showSubNav('helpdesk');"
					{toggleClass class1="helpdesk" class2="helpdesko" var="helpdesk" value=$useMenu}>
					{$smarty.const.TRANS_HELPDESK}
					<br /><img src="{$imageDirectory}/spacer.gif" width="85" height="1" alt="" title="" /></a>
				<a href="clients.php?sid={$sid}&action={getActionID action="ShowClients"}&clientActive=1" style="cursor: pointer;" onmouseover="showSubNav('clients');"
					{toggleClass class1="clients" class2="clientso" var="clients" value=$useMenu}>
					{$smarty.const.TRANS_CLIENTS}
					<br /><img src="{$imageDirectory}/spacer.gif" width="100" height="1" alt="" title="" /></a>
			</div>{* menu01 *}
		</div>{* top *}
		<div class="amenu">
			<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
			{*
			<div style="float: right; margin-right: 10px; margin-top: 4px;">{include file="$tplDirectory/widgets/showToDos.tpl"}</div> {include file="$tplDirectory/widgets/showBookmarks.tpl"}
			*}
			<div style="float: left; margin-left: 5px; margin-top: 4px;">
				{include file="$tplDirectory/widgets/showBookmarks.tpl"}
			</div>
			<div style="float: right; margin-right: 0px; margin-top: 4px;">
				{include file="$tplDirectory/widgets/showSearchBox.tpl" searchBoxID="topSearchQueryBox"}
			</div>
			<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
		</div>{* amenu *}
	</td>
</tr>
<tr>
	<td class="bg" valign="top" style="-height:80%">{* see note below *}
		<div style="vertical-align:top;">
			<div class="block01">
			
				{include file="$tplDirectory/widgets/menus/sideMenuMajor_clients.tpl"}
				{include file="$tplDirectory/widgets/menus/sideMenuMajor_finances.tpl"}
				{include file="$tplDirectory/widgets/menus/sideMenuMajor_helpdesk.tpl"}
				{include file="$tplDirectory/widgets/menus/sideMenuMajor_events.tpl"}
				{include file="$tplDirectory/widgets/menus/sideMenuMajor_products.tpl"}
				{include file="$tplDirectory/widgets/menus/sideMenuMajor_modules.tpl"}
				{include file="$tplDirectory/widgets/menus/sideMenuMajor_migrate.tpl"}
				{include file="$tplDirectory/widgets/menus/sideMenuMajor_reports.tpl"}
				{include file="$tplDirectory/widgets/menus/sideMenuMajor_system.tpl"}

			</div>{* block01 *}
			<div class="box00"><img src="{$imageDirectory}/spacer.gif" width="1" height="10" alt="" title="" /></div>
			<div class="block02">{* required open div -- do not remove or close *}
				{if $parentName==""}
					{assign var="parentName" value=$sideNavMajor}
				{/if}
				{include file="$tplDirectory/widgets/pageInfo.tpl" parentName=$parentName childName=$childName}
				<div class="loginInfo">
					{if $recording}
					<span id="recordAdminActions"><a href="{getHREF page="admins.php" actionName="RecordAdminActions"}"
					<img src="{$imageDirectory}/loadingcr.gif" width="13" height="13" alt="" title="" style="vertical-align:middle;border-style:none;" />{$smarty.const.TRANS_STOP_RECORDING}</a></span>
					{else}
					<span id="recordAdminActions"></span>
					{/if}
					{if $debugLogging}
					<span id="debugLogging"><a href="{getHREF page="events.php" actionName="ShowDbgPageloads"}" style="text-transform:capitalize;">
					<img src="{$imageDirectory}/ico/debug_view.gif" width="13" height="13" alt="" title="" style="vertical-align:middle;border-style:none;" />{$smarty.const.TRANS_VIEW}</a></span>
					<span id="debugLogging"><a href="{getHREF page="events.php" actionName="EditDbgPageloadsSettingsResponse" args="debugToLog=0"}" style="text-transform:capitalize;">
					<img src="{$imageDirectory}/ico/debug_stop.gif" width="13" height="13" alt="" title="" style="vertical-align:middle;border-style:none;" />{$smarty.const.TRANS_STOP}</a></span>
					{/if}
					{strip}
                    &nbsp;
                    <img src="{$imageDirectory}/ico/homeicon.gif" width="13" height="13" align="middle" alt="" title="" style="vertical-align:middle;border-style:none;" />
					<a href="{getHREF page="dashboard.php" actionName="ShowDashboard"}">
                        {$smarty.const.TRANS_DASHBOARD}
                    </a>
                    &nbsp;
                    <img src="{$imageDirectory}/ico/022.gif" width="13" height="13" align="middle" alt="" title="" style="vertical-align:middle;border-style:none;" />
					{$smarty.const.TRANS_LOGGED_IN_AS}: <strong>{$loginUsername}</strong>
                    &nbsp;
                    <img src="{$imageDirectory}/ico/024.gif" width="13" height="13" align="middle" alt="" title="" style="vertical-align:middle;border-style:none;" />
					<a href="{getHREF page="admins.php" actionName="EditMyProfile"}">
                        {$smarty.const.TRANS_PROFILE}
                    </a>
					{if $smarty.const.SSO_ENABLED}
						{php}
							require_once(MB_LIBPATH . '/lib-tk/include/sso/SSOSettings.php');
							$sso_props = SSOSettings::getProps();
							$sso_api_url = $sso_props['api_url']
								. '/ui/main?sp_id='
								. $sso_props['sp_id']
								. '&redirect_url='
								. urlencode(get_base_url());
							$this->assign('sso_api_url', $sso_api_url);
						{/php}
						&nbsp;
						<img src="{$imageDirectory}/ico/024.gif" width="16" height="16" align="middle" alt="" title="" style="vertical-align:middle;border-style:none;" />
						<a href="{$sso_api_url}">
							{$smarty.const.TRANS_SSO__SETTINGS}
						</a>
					{/if}
					&nbsp;
                    <img src="{$imageDirectory}/ico/023.gif" width="13" height="13" align="middle" alt="" title="" style="vertical-align:middle;border-style:none;" />
					{if $smarty.const.SSO_ENABLED}
						<a href="{getHREF page="login.php" actionName="InitSSOLogout"}">{$smarty.const.TRANS_LOGOFF}</a>
					{else}
						<a href="{getHREF page="login.php" actionName="LogoutResponse"}">{$smarty.const.TRANS_LOGOFF}</a>
					{/if}
					{/strip}
				</div>{* loginInfo *}
				<div class="hashLine"><img src="{$imageDirectory}/spacer.gif" width="1" height="4" alt="" title="" /></div>
				<div class="block03">{* required open div -- do not remove or close *}

				{if $systemQueue.systemQueueRunning && $systemQueue.systemQueueStop!=1 && $hideEventStatusBar!=1}
					{include file="$tplDirectory/widgets/showEventStatus.tpl"}
				{/if}

{*
 * Note: Leave the <td> above open. It will be closed at the top of the footer.tpl file.
 * Example: "header.tpl <td>" some content "</td> footer.tpl"
 *}

{/if} {* END IF FOR PRINT=1 *}
