{* $Id: ShowLogin.tpl 13483 2008-12-05 16:40:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the admin login form.
 *
 * Smarty Variables:
 *  $redirectActionID  -  The action ID to redirect to. This is 0 if we're not redirecting.
 *  $redirectActionFile  -  The filename to redirect to. This is "" if we're not redirecting.
 * 
 *	$htmlLang		The language this document will render
 *	$userIP			The logged IP address of the user
 *	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *}

{t c="TRANS_YOU_MUST_CONFIGURE_PLESK_BEFORE_USING_MODERNBILL" d="You must configure Plesk before using Plesk Billing."}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-basic.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{$smarty.const.TRANS_TEXTDIRECTION}">
<head>
<title>{$smarty.const.TRANS_PLESK_BILLING} .:. {$smarty.const.TRANS_ADMINISTRATIVE_LOGIN}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta name="copyright" content="2006, ModernGigabyte, LLC" />
<meta name="description" content="{$appParentName} {$appParentVersion}-{$appParentBuild} {$appCurrentName}-{$appCurrentVersion}" />

<link href="{$cssDirectory}/style.css" rel="stylesheet" type="text/css" />
<link rel="shortcut icon" href="{$imageDirectory}/logos/favicon.ico" />
<script language="javascript" type="text/javascript" src="{$jsDirectory}/clearform.js"></script>
</head>
<body class="login">

{if $redirectToPlesk}

	<div style="text-align: center;">
		{$smarty.const.TRANS_YOU_MUST_CONFIGURE_PLESK_BEFORE_USING_MODERNBILL}
		<a href="https://{$serverName}:8443">Go To Plesk</a>
	</div>

{else}

<table border="0" cellspacing="0" cellpadding="0" align="center" class="tabw">
<tr>
	<td valign="middle">
		<form name="login" method="post" action="login.php">
		{if ($redirectActionID && $redirectActionFile)}
		<input type="hidden" name="redirectActionID" value="{$redirectActionID}" />
		<input type="hidden" name="redirectActionFile" value="{$redirectActionFile}" />
		<input type="hidden" name="redirectArgs" value="{$redirectActionArgs}" />
		{/if}
		<input type="hidden" name="action" value="{getActionID action="LoginResponse"}" />
			<div class="login">
				<div class="login03">{$smarty.const.TRANS_IP_LOGGING_ENABLED}: {$userIP}</div>
				<table>
				<tr>
					<td>
						<div class="login01">
							{* Replace the following line with the Infomation for your logo *}
							<a href="http://www.modernbill.com/" title="Parallels Plesk Billing" target="_blank"><img src="{$imageDirectory}/logos/logo.gif" alt="Parallels Plesk Billing" width="140" height="55" border="0" /></a>
						</div>
					</td>
					<td>
						<div class="login02">
							<h1>{$smarty.const.TRANS_ADMINISTRATIVE_LOGIN}</h1>
							{* if $msg}
								<p>{$smarty.const.$msg}</p>
							{/if *}
							<table width="200"  border="0" cellspacing="0" cellpadding="0" class="login04">
							<tr>
								<td align="right">{$smarty.const.TRANS_USERNAME}:</td>
								<td><input name="adminUsername" type="text" value="" /></td>
							</tr>
							<tr>
								<td align="right">&nbsp;{$smarty.const.TRANS_PASSWORD}:</td>
								<td><input name="adminPassword" type="password" value="" /></td>
							</tr>
							<tr>
								<td align="center">&nbsp;</td>
								<td><div class="rm_login"><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_LOGIN}" /></div></td>
							</tr>
							</table>
							<a href="{getHREF page="login.php" actionName="ShowForgottenPassword"}">{$smarty.const.TRANS_FORGOT_YOUR_PASSWORD}?</a>&nbsp;&bull;&nbsp;<a href="http://www.modernbill.com/" title="Parallels Plesk Billing" target="_blank">{$smarty.const.TRANS_MODERNBILL_SUPPORT}</a>
						</div>{* login02 *}
					</td>
				</tr>
				</table>
				<div style="clear:both"><img src="{$imageDirectory}/spacer.gif" width="1" height="1" alt="" title="" /></div>
			</div>{* login *}
		</form>
	</td>
</tr>
</table>

{/if}

</body>
</html>
