{* $Id: AddNewsGroup.tpl 7733 2006-06-23 23:05:39Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to add a new news group. The form must post to news.php,
 * with the action ID for the AddNewsGroupResponse action, so that the POST data can
 * be handled by the server. This template takes no custom smarty variables, as it
 * should not need to display any custom information to the user.
 *
 * Smarty Variables:
 *   None
 *}
{t c="TRANS_ADD_NEWS_GROUP" d="Add News Group"}
{t c="TRANS_EDIT_NEWS_GROUP" d="Edit News Group"}
{t c="TRANS_GROUP_NAME" d="Group Name"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_NEWS"
	sideNavMajor="helpdesk"
	sideNavMinor="news"}

<form method="post" action="news.php">
{if $editMode}
	<input type="hidden" name="action" value="{getActionID action="EditNewsGroupResponse"}">
	<input type="hidden" name="newsGroupID" value="{$formValues.newsGroupID}" />
{else}
	<input type="hidden" name="action" value="{getActionID action="AddNewsGroupResponse"}">
{/if}
<input type="hidden" name="sid" value="{$sid}" />

<table border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{if $editMode}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EDIT_NEWS_GROUP" headerClass="firstTD"}
	{else}
		{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ADD_NEWS_GROUP" headerClass="firstTD"}
	{/if}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="&nbsp;" headerClass="lastTD"}
</tr>
</thead>

<tbody>
<tr class="{if $invalid.newsGroupName}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_GROUP_NAME}</td>
	<td><input type="text" name="newsGroupName" value="{$formValues.newsGroupName}" /> {$invalid.newsGroupName}</td>
</tr>
<tr class="{if $invalid.newsGroupDescription}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_DESCRIPTION}</td>
	<td><input type="text" name="newsGroupDescription" value="{$formValues.newsGroupDescription}" /> {$invalid.newsGroupDescription}</td>
</tr>
<tr class="{if $invalid.newsGroupActive}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_ACTIVE}</td>
	<td>{html_radios name="newsGroupActive" options=$activeInactive selected=$formValues.newsGroupActive defaultValue=1} {$invalid.newsGroupActive}</td>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	{if $editMode}
		<td><input class="submit" type="submit" value="{$smarty.const.TRANS_EDIT_NEWS_GROUP}" /></td>
	{else}
		<td><input class="submit" type="submit" value="{$smarty.const.TRANS_ADD_NEWS_GROUP}" /></td>
	{/if}
	<td><input type="reset" class="reset" value="{$smarty.const.TRANS_RESET}" /></td>
</tr>
</tbody>
</table>
</form>

{include file="$tplDirectory/footer.tpl"}