{* $Id: EditNews.tpl 8007 2006-07-10 21:40:23Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to edit a news article. The data provided here will be
 * posted to the EditNewsResponse action, which will add the data to the database. Once edited,
 * a news article will be displayed in ShowNews.
 *
 * Smarty Variables:
 *	$newsGroups -- An array of news group data, with each element being a news group (an array
 *	               of news group information). That information is structured as follows:
 *	                 newsID --  The ID of the news article
 *	                 newsGroupID -- The ID of the news group that this news article belongs to
 *	                 newsGroupName -- The name of the news group
 *	                 newsGroupDescription -- The description of the news group
 *	                 newsGroupActive -- 1 if the news group is active, or 0 if otherwise
 *                 This variable is provided so that a list of news groups can be displayed, to
 *                 select from.
 *}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_NEWS"
	sideNavMajor="helpdesk"
	sideNavMinor="news"}

<form method="post" action="news.php">
<input type="hidden" name="action" value="{getActionID action="EditNewsResponse"}">
<input type="hidden" name="newsID" value="{$formValues.newsID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">

	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EDIT_NEWS" headerClass="firstTD"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="&nbsp;" headerClass="lastTD"}
</tr>
</thead>

<tbody>
<tr class="{if $invalid.newsGroupID}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_NEWS_GROUP}</td>
	<td>
		<select name="newsGroupID">
		{html_options options=$newsGroups selectd=$formValues.newsGroupID}
		</select> {$invalid.newsGroupID}
	</td>
</tr>

<tr class="{if $invalid.newsSubject}highlight{/if} {cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_SUBJECT}</td>
	<td class="w350"><input type="text" name="newsSubject" value="{$formValues.newsSubject}" /> {$invalid.newsSubject}</td>
</tr>

<tr class="{if $invalid.newsShortBody}highlight{/if} {cycle values="alt1,alt2"}">
	<td vAlign="top">{$smarty.const.TRANS_NEWS_SHORTBODY}</td>
	<td><textarea name="newsShortBody" rows="3" cols="100">{$formValues.newsShortBody}</textarea> {$invalid.newsShortBody}</td>
</tr>

<tr class="{if $invalid.newsBody}highlight{/if} {cycle values="alt1,alt2"}">
	<td vAlign="top">{$smarty.const.TRANS_NEWS_BODY}</td>
	<td><textarea name="newsBody" rows="15" cols="100">{$formValues.newsBody}</textarea> {$invalid.newsBody}</td>
</tr>

<tr class="{if $invalid.newsActive}highlight{/if} {cycle values="alt1,alt2"}">
	<td vAlign="top">{$smarty.const.TRANS_ACTIVE}</td>
	<td>{html_radios name="newsActive" options=$activeInactive selected=$formValues.newsActive default=1} {$invalid.newsActive}</td>
</tr>

<tr class="{if $invalid.priorityID}highlight{/if} {cycle values="alt1,alt2"}">
	<td vAlign="top">{$smarty.const.TRANS_PRIORITY}</td>
	<td>
		<select name="priorityID">
		{html_options options=$priorities selected=$formValues.priorityID}
		</select> {$invalid.newsShortBody}
	</td>
</tr>

<tr class="{cycle values="alt1,alt2"}">
	<td>
		<input type="submit" class="submit" value="{$smarty.const.TRANS_EDIT_NEWS}" />
	</td>
	<td><input type="reset" class="reset" value="{$smarty.const.TRANS_RESET}" /></td>
</tr>
</tbody>
</table>
</form>
{include file="$tplDirectory/footer.tpl"}