{* $Id: AddTaxZone.tpl 11070 2007-04-30 20:51:12Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to add a new tax zone. The data provided here will be 
 * posted to the AddTaxZoneResponse action, which will add the data to the database. Once added, 
 * a news article will be displayed in ShowTaxZones.
 *
 * Smarty Variables:
 *	$countrylist -- List of countries to choose from. 
 *}
{t c="TRANS_MANAGE_TAX_ZONES" d="Manage Tax Zones"}
{t c="TRANS_ADD_TAX_ZONE" d="Add Tax Zone"}
{t c="TRANS_TAX_ZONE_GROUPS" d="Tax Zone Groups"}
{t c="TRANS_MANAGE_TAXES" d="Tax Settings"}
{t c="TRANS_LEDGER_ACCOUNT" d="Ledger Account"}
{t c="TRANS_YOU_MUST_PROVIDE_A_DESCRIPTION" d="You must provide a description for this tax."}
{t c="TRANS_STACKABLE" d="Stackable"}
{t c="TRANS_THIS_TAX_IS_TAXABLE" d="This tax is taxable"}

{include
    file="$tplDirectory/header.tpl"
    parentName="TRANS_MANAGE_SYSTEM"
    childName="TRANS_MANAGE_TAXES"
    grandchildName="TRANS_MANAGE_TAX_ZONES"
    sideNavMajor="system"
   	sideNavMinor="taxes"
    parentConfigGroupID=0}

<h2>{$smarty.const.TRANS_ADD_TAX_ZONE}</h2>
<form method="post" action="taxes.php" name="EditTaxes" onsubmit="if(this.taxZoneDescription.value==''){literal}{{/literal}alert('{$smarty.const.TRANS_YOU_MUST_PROVIDE_A_DESCRIPTION}');return false;{literal}}{/literal}">
<input type="hidden" name="action" value="{getActionID action="AddTaxZoneResponse"}">
<input type="hidden" name="sid" value="{$sid}">

<table border="0" cellpadding="3" cellspacing="3" class="tab01">
    <tr>
        <th align="right" scope="row">{$smarty.const.TRANS_COUNTRY}</th>
        <td><select id="countriesISO2" name="countriesISO2">
{html_options options=$countryList selected=$selectedCountry}
</select></td>
    </tr>
    <tr>
        <th align="right" scope="row">{$smarty.const.TRANS_TAX_ZONE_NAME}</th>
        <td><input type="text" name="taxZoneName" /></td>
    </tr>
    <tr>
        <th align="right" scope="row">{$smarty.const.TRANS_TAX_ZONE_TYPE}</th>
        <td><select id="taxZoneAmountType" name="taxZoneAmountType">
            <option value="0">{$smarty.const.TRANS_PERCENTAGE}</option>
            <option value="1">{$smarty.const.TRANS_SET_AMOUNT}</option>
        </select></td>
    </tr>
    <tr>
        <th align="right" scope="row">{$smarty.const.TRANS_TAX_ZONE_AMOUNT}</th>
        <td><input type="text" name="taxZoneAmount" size="5" /></td>
    </tr>
    <tr>
        <th align="right" scope="row">{$smarty.const.TRANS_TAX_ZONE_DESCRIPTION}</th>
        <td><input type="text" name="taxZoneDescription" /></td>
    </tr>
    <tr>
        <th align="right" scope="row">{$smarty.const.TRANS_TAX_ZONE_ACTIVE}</th>
        <td><select id="taxZoneActive" name="taxZoneActive">
{html_options options=$activeInactive}
</select></td>
    </tr>

    <tr>
        <th align="right" scope="row">{$smarty.const.TRANS_STACKABLE}</th>
        <td><input type="checkbox" name="taxZoneStackable" id="taxZoneStackable" value="1" /> {$smarty.const.TRANS_THIS_TAX_IS_TAXABLE}</td>
    </tr>

	<tr>
		<th align="right" scope="row">{$smarty.const.TRANS_LEDGER_ACCOUNT}</th>
		<td><select name="ledgerAccountID">{include file="$tplDirectory/widgets/accountingLedgerSelect.tpl"
			ledgerAccounts=$ledgerAccounts
			accountTypes=$accountTypes}</select></td>
	</tr>

    <tr>
		<th align="right" scope="row">{$smarty.const.TRANS_TAX_ZONE_GROUPS}</th>
		<td>
		{include file="$tplDirectory/widgets/comboBox.tpl"
			comboTitleLeft=TRANS_SELECTED
			comboNameLeft="taxZoneGroups"
			comboOptionsLeft=$selectedTaxZoneGroups

			comboTitleRight=TRANS_SELECTABLE
			comboNameRight="selectableTaxZoneGroups"
			comboOptionsRight=$selectableTaxZoneGroups
			formName="EditTaxes"
			submitName="suppress"
		}
		</td>
    </tr>

    <tr>
        <td></td>
        <td><input class="submit" type="submit" value="{$smarty.const.TRANS_SAVE}" onclick="selectAllOptions(document.EditTaxes.elements['taxZoneGroups[]']);"></td>
    </tr>
</table>

</form>

{include file="$tplDirectory/footer.tpl"}
