{* $Id: sideMenuMajor_events.tpl 12329 2007-12-07 22:11:44Z kbailey $
 * --------------------------------------------------------------
 * This template displays the side navigation when the an action related to an event has been selected. It displays 
 * blocks for both system events and the email queue.
 *
 * Smarty Variables:
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/widgets/menus/sideMenuMajor_events.tpl.tpl"}
 *
 * Author: Vic Fryzel
 * Author: Brian Smith
 *}
{t c="TRANS_EVENTS" d="Events"}
{t c="TRANS_EMAILS" d="Emails"}
{t c="TRANS_TODOS" d="Todos"}
{t c="TRANS_EXPAND_ALL" d="Expand All"}
{t c="TRANS_DEBUG" d="Debug"}
{t c="TRANS_DEBUG_LOG" d="Debug Log"}
{t c="TRANS_SHOW_DEBUG_LOG" d="Show Debug Log"}
{t c="TRANS_IS_NOT_RECURRING" d="Is Not Recurring"}


<div id="majorNavDiv_events" {if $sideNavMajor!="events"} style="display: none;"{/if}>
{* events major side menu *}
<div class="lbox01">
	<h1>{$smarty.const.TRANS_EVENTS}</h1>
	<div class="lbox01b">
		<div class="menu">
			<ul>
				<li><a href="{getHREF page="events.php" actionName="ShowEvents"}">{$smarty.const.TRANS_EVENTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
					{if $systemQueueRunning}
						<li><a href="{getHREF page="events.php" actionName="StopEvents"}"><img src="{$imageDirectory}/ico/data_stop.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_STOP_EVENTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
					{else}
						<li><a href="{getHREF page="events.php" actionName="RunEvents" args="$redirectArgs"}"><img src="{$imageDirectory}/ico/data_new.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_RUN_EVENTS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
					{/if}
						<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {$smarty.const.TRANS_SHOW_EVENTS}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{assign var="eventStatuses" value="queue"|getStatuses}
								{foreach item="statusName" key="statusID" from=$eventStatuses}
									<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueStatus=$statusID"}">&nbsp;{$statusName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						{if $registrars}
						<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_REGISTRAR}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{foreach item="registrarName" key="registrarID" from=$registrars}
									<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="configGroupID=$registrarID"}">&nbsp;{$registrarName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						{/if}
						
						{if $panels}
						<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_PANEL}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{foreach item="panelName" key="panelID" from=$panels}
									<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="configGroupID=$panelID"}">&nbsp;{$panelName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						{/if}
						
						{if $serverGroupList}
						<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_SERVER_GROUP}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								{foreach item="serverGroupName" key="serverGroupID" from=$serverGroupList}
									<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="serverGroupID=$serverGroupID"}">&nbsp;{$serverGroupName}</a></li>
								{/foreach}
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						{/if}
						
						<li><a href="{getHREF page="events.php" actionName="ShowEvents"}"><span class="drop"><span><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" style="margin:0px;" /> {$smarty.const.TRANS_FILTER_BY}: {$smarty.const.TRANS_RECURRING}</span>&raquo;</span><!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<ul>
								<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueIsRecurring=1"}">&nbsp;{$smarty.const.TRANS_IS_RECURRING}</a></li>
								<li><a href="{getHREF page="events.php" actionName="ShowEvents" args="systemQueueIsRecurring=0"}">&nbsp;{$smarty.const.TRANS_IS_NOT_RECURRING}</a></li>
							</ul>
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="events.php" actionName="ShowEmailQueue"}">{$smarty.const.TRANS_EMAILS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="events.php" actionName="ShowEmailQueue"}"><img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_EMAILS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
						<li><a href="{getHREF page="emails.php" actionName="ShowEmailTemplateGroups"}"><img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_EMAIL_TPL_GROUPS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
						
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="todos.php" actionName="ShowTodos"}">{$smarty.const.TRANS_TODOS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
				
				
				
					<ul>
						<li><a href="{getHREF page="todos.php" actionName="ShowTodos"}"><img src="{$imageDirectory}/ico/note_edit.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_MANAGE_TODOS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="todos.php" actionName="ShowAllTodos"}"><img src="{$imageDirectory}/ico/note_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_ALL_TODOS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
						<li><a href="{getHREF page="todos.php" actionName="AddTodo"}"><img src="{$imageDirectory}/ico/note_add.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_ADD_NEW_TODOS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
				<li><a href="{getHREF page="events.php" actionName="ShowDbgPageloads"}">{$smarty.const.TRANS_DEBUG_LOG}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
					<ul>
						<li><a href="{getHREF page="events.php" actionName="ShowDbgPageloads"}"><img src="{$imageDirectory}/ico/debug_view.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_SHOW_DEBUG_LOG}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
				
					{if $debugLogging}
						<li><a href="{getHREF page="events.php" actionName="EditDbgPageloadsSettingsResponse" args="debugToLog=0"}" style="text-transform:capitalize;"><img src="{$imageDirectory}/ico/debug_stop.gif" width="13" height="13" alt="" title="" /> {$smarty.const.TRANS_STOP}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					{else}
						<li><a href="{getHREF page="events.php" actionName="EditDbgPageloadsSettings"}"><img src="{$imageDirectory}/ico/debug_edit.gif" width="16" height="16" alt="" title="" /> {$smarty.const.TRANS_EDIT_DEBUG_SETTINGS}<!--[if gt IE 6]><!--></a><!--<![endif]--><!--[if lt IE 7]><table border="0" cellpadding="0" cellspacing="0"><tr><td><![endif]-->
							<!--[if lte IE 6]></td></tr></table></a><![endif]-->
						</li>
					{/if}
					</ul>
					<!--[if lte IE 6]></td></tr></table></a><![endif]-->
				</li>
			</ul>
		</div>
		<div class="lbox01c">
		</div>
	</div>{* lbox01b *}	
</div>{* lbox01 *}

</div>