{* $Id: wizardQuestionPriceSelector.tpl 12708 2008-02-28 17:01:59Z kbailey $
 * --------------------------------------------------------------
 * This widget template displays a multiple select menu to the user, to allow them to answer a question.
 *
 * Smarty Variables:
 *  $questionID  The ID of this question.
 *	$question  The question to ask.
 *  $questionAnswers  An array with every element being of the form:
 *                      array(
 *                        "value"  The literal value the array should take on when posted.
 *                        "answer"  The answer to display.
 *                        "selected"  1 if the answer is to be selected, or 0 if otherwise.
 *                      )
 *  $questionSize  The size of this question's field.
 *  $questionMaxLength  The maximum length of this question's field (not applicable to all fields.
 *}

{if $smarty.const.WIZARD_CART_DISPLAY==1}

	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<td align="right" valign="top"><label for="{$questionID}">{$question}</label></td>
		<td>
			<table>
				<tr>
					{section name=cycle loop=$questionAnswers}
						<th scope="col">{$questionAnswers[cycle].answer}</th>
					{/section}
				</tr>
				<tr>
					{section name=cycle loop=$questionAnswers}
						<td>
							<input type="text" name="{$questionID}[]" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} value="{$questionAnswers[cycle].value}" />
						</td>
					{/section}
				</tr>
			</table>
			{if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}
			{if $questionDescription}<br />{$questionDescription}{/if}
		</td>
	</tr>

{elseif $smarty.const.WIZARD_ADMIN_ADDON_DISPLAY==1}

	<table>
		<tr>
			{section name=cycle loop=$questionAnswers}
				<th scope="col">{$questionAnswers[cycle].answer}</th>
			{/section}
		</tr>
		<tr>
			{section name=cycle loop=$questionAnswers}
				<td>
					<input type="text" name="addonValues[{literal}{ID}{/literal}][{$questionID}][]" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} value="{$questionAnswers[cycle].value}" />
				</td>
			{/section}
		</tr>
	</table>
	{if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}
	{if $questionDescription}<br />{$questionDescription}{/if}

{else}

	<tr class="{if $questionErrorMesgs}highlight{else}{cycle values="alt1,alt2"}{/if}">
		<th class="nowrap" valign="top" scope="row"><label for="{$questionID}">{$question}</label></th>
		<td width="100%">
			<table>
				<tr>
					{section name=cycle loop=$questionAnswers}
						<th scope="col">{$questionAnswers[cycle].answer}</th>
					{/section}
				</tr>
				<tr>
					{section name=cycle loop=$questionAnswers}
						<td>
							<input type="text" name="{$questionID}[]" {if ($questionSize)}size="{$questionSize}"{else}size="6"{/if} {if $questionMaxLength}maxlength="{$questionMaxLength}"{/if} value="{$questionAnswers[cycle].value}" />
						</td>
					{/section}
				</tr>
			</table>
			{if $questionErrorMesgs}<br />{$questionErrorMesgs}{/if}
			{if $questionDescription}<br />{$questionDescription}{/if}
		</td>
	</tr>

{/if}
