{* $Id: AddHelpdeskTicket.tpl 6370 2006-04-18 20:45:57Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to add a helpdesk ticket. This form should POST to the 
 * AddHelpdeskTicketResponse action with at least one helpdesk bucket selected, at least one helpdesk department 
 * selected, and a helpdesk ticket subject and body provided.
 *
 * Smarty Variables:
 *	$helpdeskDepartments - An array of helpdesk departments, whose every element represents a helpdesk department 
 *	                       in array form structured as follows:
 *	                         hdDepartmentID -- The ID of the helpdesk department.
 *	                         hdDepartmentName -- The name of the helpdesk department.
 *	                         hdDepartmentDescription -- The description of the helpdesk department.
 *	$helpdeskBuckets - An array of helpdesk buckets in the system. Each element in this array is an array that 
 *	                   represents a helpdesk bucket. Each helpdesk bucket array is structured as follows:
 *	                     hdBucketID -- The ID of the helpdesk bucket.
 *	                     hdBucketName -- The name of the helpdesk bucket.
 *}
{include file="$tplDirectory/header.tpl"}

<form method="post" action="helpdesk.php">
<input type="hidden" name="action" value="{getActionID action="AddHelpdeskTicketResponse"}" />
hdTicketSubject: <input type="text" name="hdTicketSubject" /><br />
hdTicketBody: <textarea name="hdTicketBody"></textarea><br />
hdTicketPriorityID: <select name="hdTicketPriorityID">
	{html_options options=$priorities}
</select><br />
hdTicketStatusID: <select name="hdTicketStatusID">
	{html_options options=$statuses.helpdeskTicket}
</select><br />
hdDepartmentIDs: <select name="hdDepartmentIDs[]" multiple="multiple">
{section name="i" loop="$helpdeskDepartments"}
	<option value="{$helpdeskDepartments[i].hdDepartmentID}">{$helpdeskDepartments[i].hdDepartmentName}</option>
{/section}
</select><br />
hdBucketIDs: <select name="hdBucketIDs[]" multiple="multiple">
{section name="i" loop="$helpdeskBuckets"}
	<option value="{$helpdeskBuckets[i].hdBucketID}">{$helpdeskBuckets[i].hdBucketName}</option>
{/section}
</select><br />
<input class="submit" type="submit" name="submit" value="submit" /><br />
</form>

{include file="$tplDirectory/footer.tpl"}