{* $Id: EditHelpdeskBucket.tpl 8145 2006-07-27 15:28:29Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to edit a helpdesk bucket. This form should POST to the
 * EditHelpdeskBucketResponse action with at least one adminID selected, at least one helpdeskDepartment
 * selected, and a hdBucketName provided.
 *
 * Smarty Variables:
 *  $helpdeskBucket - An array of helpdesk bucket information for the helpdesk bucket the user is currently
 *                    editing. This array is structured as follows:
 *                      hdBucketID -- The ID of the helpdesk bucket.
 *                      hdBucketName -- The name of the helpdesk bucket.
 *                      hdDepartmentIDs -- An array of helpdesk department IDs that this bucket exists in.
 *                      adminIDs -- An array of admin IDs associated with this helpdesk bucket.
 *	$helpdeskDepartments - An array of helpdesk departments, whose every element represents a helpdesk department
 *	                       in array form structured as follows:
 *	                         hdDepartmentID -- The ID of the helpdesk department.
 *	                         hdDepartmentName -- The name of the helpdesk department.
 *	                         hdDepartmentDescription -- The description of the helpdesk department.
 *	$admins - An array of admins of the system. Each element in this array represents an admin, and that array
 *	          is structured as follows:
 *	            adminID - The ID of the administrator.
 *	            adminFirstName - The first name of the administrator.
 *	            adminLastName - The last name of the administrator.
 *	            adminUsername - The username of the administrator.
 *	            adminEmail - The email of the administrator.
 *	            adminActive - 1 if the admin is active, or 0 if otherwise.
 *	            themeID - The theme ID of the administrator.
 *	            languageID - The language ID of the administrator.
 *	            countriesID - The country ID of the administrator.
 *}

{t c="TRANS_EDIT_BUCKET" d="Edit Bucket"}
{t c="TRANS_ASSOCIATED_DEPTS" d="Associated Departments"}
{t c="TRANS_ASSOCIATED_ADMINS" d="Associated Admins"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_BUCKETS"
	grandchildName="TRANS_EDIT"

	sideNavMajor="helpdesk"
	sideNavMinor="helpdesk_buckets"}



<form method="post" action="helpdesk.php">
<input type="hidden" name="action" value="{getActionID action="EditHelpdeskBucketResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="hdBucketID" value="{$helpdeskBucket.hdBucketID}" />

<table border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_EDIT_BUCKET" headerClass="firstTD"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="&nbsp;" headerClass="lastTD"}
</tr>
</thead>

<tbody>
<tr class="{if $invalid.hdBucketName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th align="left">{$smarty.const.TRANS_NAME}:</th>
	<td><input type="text" name="hdBucketName" value="{$formValues.hdBucketName}"> {$invalid.hdBucketName}</td>
</tr>
<tr valign="top" class="{if $invalid.hdDepartmentIDs}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th align="left">{$smarty.const.TRANS_ASSOCIATED_DEPTS}:</th>
	<td>
		<select name="hdDepartmentIDs[]">
			{foreach from=$helpdeskDepartments item=dept}
				<option value="{$dept.hdDepartmentID}" {strip}
					{if ($dept.hdDepartmentID|array_search:$helpdeskBucket.hdDepartmentIDs) !== false}
						selected="selected"
					{/if}{/strip}>{$dept.hdDepartmentName}</option>
			{/foreach}
		</select> {$invalid.hdDepartmentIDs}
	</td>
</tr>
<tr valign="top" class="{if $invalid.adminIDs}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th align="left">{$smarty.const.TRANS_ASSOCIATED_ADMINS}:</th>
	<td>
		<select name="adminIDs[]">
			{foreach from=$admins item=admin}
				<option value="{$admin.adminID}" {strip}
					{if ($admin.adminID|array_search:$helpdeskBucket.adminIDs) !== false}
						selected="selected"
					{/if}{/strip}>{$admin.adminUsername} ({$admin.adminFirstName} {$admin.adminLastName})</option>
			{/foreach}
		</select> {$invalid.adminIDs}
	</td>
</tr>
<tr>
	<td align="right" colspan="2"><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_BUCKET}"></td>
</tr>
</table>
</form>

{include file="$tplDirectory/footer.tpl"}