{* $Id: EditHelpdeskResponseTemplate.tpl 7173 2006-06-01 22:56:29Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to edit a helpdesk response template. This form should POST to the
 * EditHelpdeskResponseTemplateResponse action with at least one adminID selected, at least one helpdeskDepartment
 * selected, and a hdRespTplName provided.
 *
 * Smarty Variables:
 *  $helpdeskResponseTemplate - An array of helpdesk response template information for the helpdesk response
 *                              template the user is currently editing. This array is structured as follows:
 *                                hdRespTplID -- The ID of the helpdesk response template.
 *                                hdRespTplName -- The name of the helpdesk response template.
 *                                hdDepartmentIDs -- An array of helpdesk department IDs that this response
 *                                                         template exists in.
 *	$helpdeskDepartments - An array of helpdesk departments, whose every element represents a helpdesk department
 *	                       in array form structured as follows:
 *	                         hdDepartmentID -- The ID of the helpdesk department.
 *	                         hdDepartmentName -- The name of the helpdesk department.
 *	                         hdDepartmentDescription -- The description of the helpdesk department.
 *}

{t c="TRANS_MANAGE_HELPDESK" d="Manage Helpdesk"}
{t c="TRANS_EDIT_HELPDESK_RESPONSE_TPL" d="Edit Helpdesk Response Template"}
{t c="TRANS_RESPONSE_TPL" d="Response Template"}
{t c="TRANS_RESPONSE_TPL_NAME" d="Response Template Name"}
{t c="TRANS_RESPONSE_TPL_BODY" d="Response Template Body"}
{t c="TRANS_DEPARTMENTS" d="Departments"}
{t c="TRANS_ADD" d="Add"}
{t c="TRANS_CLEAR" d="Clear"}
{t c="TRANS_FIELDS" d="Fields"}
{t c="TRANS_FIELD_NAME" d="Field Name"}
{t c="TRANS_FIELD_DESCRIPTION" d="Field Description"}

{t c="TRANS_HDTICKETID_DESC" d="The ID of the helpdesk ticket being responded to."}
{t c="TRANS_HDTICKETKEY_DESC" d="The keyname of the helpdesk ticket being responded to."}
{t c="TRANS_HDTICKETSUBJECT_DESC" d="The subject of the helpdesk ticket being responded to."}
{t c="TRANS_HDTICKETBODY_DESC" d="The message body of the helpdesk ticket being responded to."}
{t c="TRANS_HDTICKETPRIORITY_DESC" d="The priority of the helpdesk ticket being responded to."}
{t c="TRANS_HDTICKETSTATUS_DESC" d="The status of the helpdesk ticket being responded to."}
{t c="TRANS_USERID_DESC" d="The ID of the owner of the helpdesk ticket being responded to."}
{t c="TRANS_USERFIRSTNAME_DESC" d="The first name of the owner of the helpdesk ticket being responded to."}
{t c="TRANS_USERLASTNAME_DESC" d="The last name of the owner of the helpdesk ticket being responded to."}
{t c="TRANS_USEREMAIL_DESC" d="The email address of the owner of the helpdesk ticket being responded to."}
{t c="TRANS_USERNAME_DESC" d="The username of the owner of the helpdesk ticket being responded to."}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_EDIT_HELPDESK_RESPONSE_TPL"
	sideNavMajor="helpdesk"
	sideNavMinor="helpdesk"}

<table width="770" border="0" cellpadding="0" cellspacing="0" class="list" >
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_FIELDS" headerAlign="left"}
</tr>
<tr>
<td>

<table summary="{$smarty.const.TRANS_RESPONSE_TPL}" width="100%" class="small">
<tr class="headerRow">
	<td scope="col">Field Name</td>
	<td scope="col">Field Description</td>
</tr>

<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{hdTicketID}{/literal}</th>
	<td>{$smarty.const.TRANS_HDTICKETID_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{hdTicketKey}{/literal}</th>
	<td>{$smarty.const.TRANS_HDTICKETKEY_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{hdTicketSubject}{/literal}</th>
	<td>{$smarty.const.TRANS_HDTICKETSUBJECT_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{hdTicketBody}{/literal}</th>
	<td>{$smarty.const.TRANS_HDTICKETBODY_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{hdTicketPriority}{/literal}</th>
	<td>{$smarty.const.TRANS_HDTICKETPRIORITY_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{hdTicketStatus}{/literal}</th>
	<td>{$smarty.const.TRANS_HDTICKETSTATUS_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{userID}{/literal}</th>
	<td>{$smarty.const.TRANS_USERID_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{userFirstName}{/literal}</th>
	<td>{$smarty.const.TRANS_USERFIRSTNAME_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{userLastName}{/literal}</th>
	<td>{$smarty.const.TRANS_USERLASTNAME_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{userEmail}{/literal}</th>
	<td>{$smarty.const.TRANS_USEREMAIL_DESC}</td>
</tr>
<tr class="{cycle name="responseTemplateFields" values="alt1,alt2"}">
	<th scope="row">{literal}{username}{/literal}</th>
	<td>{$smarty.const.TRANS_USERNAME_DESC}</td>
</tr>
</table>

</td>
</tr>
</table>

<table width="770" border="0" cellpadding="0" cellspacing="0" class="list" >
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_RESPONSE_TPL" headerAlign="left"}
</tr>
<tr>
<td>

<table summary="{$smarty.const.TRANS_RESPONSE_TPL}" width="100%" class="small">
<form name="addResponseForm" method="POST" action="helpdesk.php">
<input type="hidden" name="action" value="{getActionID action="EditHelpdeskResponseTemplateResponse"}" />
<input type="hidden" name="sid" value="{$sid}" />
<input type="hidden" name="hdRespTplID" value="{$helpdeskResponseTemplate.hdRespTplID}" />
<tr class="{cycle name="responseTemplate" values="alt1,alt2"}">
	<th scope="row">{$smarty.const.TRANS_RESPONSE_TPL_NAME}</th>
	<td><input type="text" name="hdRespTplName" size="50" value="{$helpdeskResponseTemplate.hdRespTplName}" /></td>
</tr>
<tr class="{cycle name="responseTemplate" values="alt1,alt2"}">
	<th scope="row">{$smarty.const.TRANS_RESPONSE_TPL_BODY}</th>
	<td><textarea name="hdRespTplBody" rows="15" cols="75">{$helpdeskResponseTemplate.hdRespTplBody}</textarea></td>
</tr>
<tr class="{cycle name="responseTemplate" values="alt1,alt2"}">
	<th scope="row">{$smarty.const.TRANS_DEPARTMENTS}</th>
	<td>
		<select name="hdDepartmentIDs[]" multiple="multiple">
		{section name="i" loop=$helpdeskDepartments}
			<option value="{$helpdeskDepartments[i].hdDepartmentID}">{$helpdeskDepartments[i].hdDepartmentName}</option>
		{/section}
		</select>
	</td>
</tr>
<tr align="center">
	<td colspan="2">
		<input class="submit" type="submit" name="submit_response" value="{$smarty.const.TRANS_ADD}" />
		<input class="reset" type="reset" name="clear_response" value="{$smarty.const.TRANS_CLEAR}" />
	</td>
</tr>
</form>
</table>

</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}