{* $Id: EditHelpdeskTicket.tpl 6370 2006-04-18 20:45:57Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a helpdesk ticket. The form is prepopulated with helpdesk ticket data. 
 * This form should POST to the AddHelpdeskTicketResponse action with at least one helpdesk bucket selected, 
 * at least one helpdesk department selected, and a helpdesk ticket subject and body provided.
 *
 * Smarty Variables:
 *  $helpdeskTicket - An array of helpdesk ticket information for the ticket currently being edited. This array 
 *                    is structured as follows:
 *                      hdTicketID -- The ID of the helpdesk ticket.
 *                      hdTicketSubject -- The subject of the helpdesk ticket.
 *                      hdTicketBody -- The body of the helpdesk ticket.
 *	                    hdTicketPriorityID -- The priority ID of the helpdesk ticket.
 *	                    hdTicketStatusID -- The helpdeskTicket status ID of the helpdesk ticket.
 *	$helpdeskDepartments - An array of helpdesk departments, whose every element represents a helpdesk department 
 *	                       in array form structured as follows:
 *	                         hdDepartmentID -- The ID of the helpdesk department.
 *	                         hdDepartmentName -- The name of the helpdesk department.
 *	                         hdDepartmentDescription -- The description of the helpdesk department.
 *	$helpdeskBuckets - An array of helpdesk buckets in the system. Each element in this array is an array that 
 *	                   represents a helpdesk bucket. Each helpdesk bucket array is structured as follows:
 *	                     hdBucketID -- The ID of the helpdesk bucket.
 *	                     hdBucketName -- The name of the helpdesk bucket.
 *}
{include file="$tplDirectory/header.tpl"}

<form method="post" action="helpdesk.php">
<input type="hidden" name="action" value="{getActionID action="EditHelpdeskTicketResponse"}" />
<input type="hidden" name="hdTicketID" value="{$helpdeskTicket.hdTicketID}" />
<input type="hidden" name="sid" value="{$sid}">
hdTicketSubject: <input type="text" name="hdTicketSubject" 
	value="{$helpdeskTicket.hdTicketSubject}" /><br />
hdTicketBody: <textarea name="hdTicketBody">{$helpdeskTicket.hdTicketBody}</textarea><br />

helpdeskTicketPriority: <select name="hdTicketPriorityID">
	{html_options options=$priorities selected=$helpdeskTicket.hdTicketPriorityID}
</select><br />
helpdeskTicketStatus: <select name="hdTicketStatusID">
	{html_options options=$statuses.helpdeskTicket selected=$helpdeskTicket.hdTicketStatusID}
</select><br />

helpdeskDepartments: <select name="hdDepartmentIDs[]" multiple="multiple">
{section name="i" loop="$helpdeskDepartments"}
	<option value="{$helpdeskDepartments[i].hdDepartmentID}" {if ($helpdeskDepartments[i].hdDepartmentID|array_search:$helpdeskTicket.hdDepartmentIDs) !== false}  selected="selected"{/if}>{$helpdeskDepartments[i].hdDepartmentName}</option>
{/section}
</select><br />

helpdeskBuckets: <select name="hdBucketIDs[]" multiple="multiple">
{section name="i" loop="$helpdeskBuckets"}
	<option value="{$helpdeskBuckets[i].hdBucketID}"{if ($helpdeskBuckets[i].hdBucketID|array_search:$helpdeskTicket.hdBucketIDs) !== false}  selected="selected"{/if}>{$helpdeskBuckets[i].hdBucketName}</option>
{/section}
</select><br />
<input class="submit" type="submit" name="submit" value="submit" /><br />
</form>

{include file="$tplDirectory/footer.tpl"}