{* $Id: RemoveHelpdeskBucket.tpl 7395 2006-06-09 21:49:02Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to remove an existing helpdesk bucket from the database. The form must
 * post the hdBucketID to the RemoveHelpdeskBucketResponse action in order to remove the bucket, or
 * return the user to the ShowHelpdeskBuckets action.
 *
 * Smarty Variables:
 *	$helpdeskBucket - An array of helpdesk bucket information, which is structured as follows:
 *	                         hdBucketID -- The ID of the helpdesk bucket.
 *	                         hdBucketName -- The name of the helpdesk bucket.
 *}

{t c="TRANS_REMOVE_HELPDESK_BUCKET" d="Remove helpdesk bucket"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_BUCKETS"
	grandchildName="TRANS_REMOVE"

	sideNavMajor="helpdesk"
	sideNavMinor="helpdesk_buckets"}

<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ID" headerClass="firstTD" headerAlign="left"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_NAME" headerClass="lastTD" headerAlign="left"}
</tr>
</thead>

<tbody>
<tr class="alt1">
	<td>{$helpdeskBucket.hdBucketID}</td>
	<td>{$helpdeskBucket.hdBucketName}</td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="3" width="770">
<tr>
	<td colspan="2" align="center">
		{$smarty.const.TRANS_REMOVE_HELPDESK_BUCKET}?
	</td>
</tr>
<tr>
	<td align="right">
		<form method="post" action="helpdesk.php">
		<input type="hidden" name="action" value="{getActionID action="RemoveHelpdeskBucketResponse"}">
		<input type="hidden" name="sid" value="{$sid}">
		<input type="hidden" name="hdBucketID" value="{$helpdeskBucket.hdBucketID}">
		<input class="submit" type="submit" name="submit" value="Yes">
		</form>
	</td>
	<td>
		<form method="post" action="helpdesk.php">
		<input type="hidden" name="action" value="{getActionID action="ShowHelpdeskBuckets"}">
		<input type="hidden" name="sid" value="{$sid}">
		<input type="hidden" name="hdBucketID" value="{$helpdeskBucket.hdBucketID}">
		<input class="submit" type="submit" name="submit" value="No"><br />
		</form>
	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}