{* $Id: ShowHelpdeskBuckets.tpl 8144 2006-07-26 21:30:43Z bsmith $
 * --------------------------------------------------------------
 * This template displays a list of helpdesk buckets.
 *
 * Smarty Variables:
 *	$helpdeskBuckets (an array of helpdesk buckets)
 *		hdBucketID 	- The ID of the helpdesk bucket.
 *      hdBucketName 	- The name of the helpdesk bucket.
 *      hdDepartmentIDs 	- An array of helpdesk department IDs that this helpdesk bucket
 *								  is associated with. Each element in this array is a helpdesk
 *                                department ID.
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_ADD_NEW_BUCKET" d="Add New Bucket:"}
{t c="TRANS_ADD_BUCKET" d="Add Bucket"}
{t c="TRANS_ACTIONS" d="Actions"}
{t c="TRANS_BUCKETS" d="Buckets"}
{t c="TRANS_BUCKET_NAME" d="Bucket Name"}
{t c="TRANS_TICKETS" d="Tickets"}
{t c="TRANS_MANAGE_HELPDESK" d="Manage Helpdesk"}
{t c="TRANS_NO_BUCKETS_FOUND" d="No Buckets Found"}
{t c="TRANS_ASSOCIATED_DEPTS" d="Associated Departments"}
{t c="TRANS_ASSOCIATED_ADMINS" d="Associated Admins"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_BUCKETS"
	sideNavMajor="helpdesk"
	sideNavMinor="helpdesk_buckets"}

<table width="97%" border="0" cellspacing="0" cellpadding="0" class="tab07">
<tr>
	{* left column *}
	<td width="50%" valign="top">
		<table width="80%" border="0" cellpadding="0" cellspacing="0" class="list">
		<thead>
		<tr class="headerRow">
			{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_BUCKETS" sortColumn="hdBucketName"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIONS" headerAlign="center"}
		</tr>
		</thead>
		{section name="i" loop=$helpdeskBuckets}
			{assign var="hdBucketID" value=$helpdeskBuckets[i].hdBucketID}
			{if $className=="alt1"}
			    {assign var="className" value="alt2"}
			{else}
			    {assign var="className" value="alt1"}
			{/if}
			<tr class="{cycle values="alt1,alt2"}"
				onmouseover="this.className='althover';"
				onmouseout="this.className='{$className}';">
				<td>
					{$helpdeskBuckets[i].hdBucketName}
					{include
						file="$tplDirectory/widgets/quickEditLink.tpl"
						editActionName="EditHelpdeskBucketResponse"
						editID=$hdBucketID
						editKey="hdBucketID"
						editName="TRANS_BUCKET_NAME"
						editColumn="hdBucketName"
						editValue=$helpdeskBuckets[i].hdBucketName}
				</td>
				<td align="center">
					{strip}
					<a href="{getHREF page="helpdesk.php" actionName="ShowHelpdeskBucketDetails" args="hdBucketID=$hdBucketID"}">
						<img src="{$imageDirectory}/ico/data_view.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_DETAILS}" title="{$smarty.const.TRANS_DETAILS}" />
					</a>
					&nbsp;
					<a href="{getHREF page="helpdesk.php" actionName="EditHelpdeskBucket" args="hdBucketID=$hdBucketID"}">
						<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
					</a>
					&nbsp;
					<a href="{getHREF page="helpdesk.php" actionName="RemoveHelpdeskBucket" args="hdBucketID=$hdBucketID"}">
						<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
					</a>
					{/strip}
				</td>
			</tr>
		{sectionelse}
			<tr>
				<td colspan="2">
						{$smarty.const.TRANS_NO_BUCKETS_FOUND}
				</td>
			</tr>
		{/section}
		<tr>
			<td colspan="2">
				{include file="$tplDirectory/widgets/paginationLinks.tpl"}
			</td>
		</tr>
		</table>
	</td>

	{* right column *}
	<td width="50%" valign="top" align="left">
	
		<form method="post" action="helpdesk.php">
		<input type="hidden" name="action" value="{getActionID action="AddHelpdeskBucketResponse"}" />
		<input type="hidden" name="sid" value="{$sid}" />
		
		<table width="50%" valign="top" align="left" class="list" border="0" cellpadding="0" cellspacing="0">
		<thead>
		<tr class="headerRow">
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ADD_NEW_BUCKET" headerClass="firstTD"}
			{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="&nbsp;" headerClass="lastTD"}
		</tr>
		</thead>

		<tbody>
		<tr valign="top" class="{cycle values="alt1,alt2"}">
			<th align="left">{$smarty.const.TRANS_NAME}:</th>
			<td><input type="text" name="hdBucketName" value=""></td>
		</tr>
		<tr valign="top" class="{cycle values="alt1,alt2"}">
		<th align="left">{$smarty.const.TRANS_ASSOCIATED_DEPTS}:</th>
			<td>
				<select name="hdDepartmentIDs[]">
					{foreach from=$helpdeskDepartments item=dept}
						<option value="{$dept.hdDepartmentID}">{$dept.hdDepartmentName}</option>
					{/foreach}
				</select>
			</td>
		</tr>
		<tr valign="top" class="{cycle values="alt1,alt2"}">
			<th align="left">{$smarty.const.TRANS_ASSOCIATED_ADMINS}:</th>
			<td>
				<select name="adminIDs[]">
					{foreach from=$admins item=admin}
						<option value="{$admin.adminID}">{$admin.adminUsername} ({$admin.adminFirstName} {$admin.adminLastName})</option>
					{/foreach}
				</select>
			</td>
		</tr>
		<tr>
			<td align="right" colspan="2"><input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_ADD_BUCKET}"></td>
		</tr>
		</tbody>
		</table>
		</form>
	</td>
</tr>
</table>

{include file="$tplDirectory/footer.tpl"}