{* $Id: ShowHelpdeskResponseTemplates.tpl 7394 2006-06-09 21:20:52Z bsmith $
 * --------------------------------------------------------------
 * This template displays a list of helpdesk response templates to the user. From this list, the user should be
 * able to access the AddHelpdeskResponseTemplate, EditHelpdeskResponseTemplate, and RemoveHelpdeskResponseTemplate actions.
 *
 * Smarty Variables:
 *	$helpdeskResponseTemplates - An array of helpdesk response templates. Each element in this array is an array
 *	                             that represents a helpdesk response template. Each helpdesk response template
 *	                             array is strucured as follows:
 *	                               hdRespTplID - The ID of the helpdesk response template.
 *                                 hdRespTplName - The name of the helpdesk response template.
 *                                 hdRespTplBody - The body of the helpdesk response template.
 *                                 hdDepartmentIDs - An array of helpdesk department IDs that this
 *                                                         helpdesk response template is associated with.
 *                                                         Each element in this array is a helpdesk department ID.
 *  $helpdeskDepartments - An array of helpdesk departments. Each element in this array is an array that
 *                         represents a helpdesk department. Each helpdesk department array is structured as
 *                         follows:
 *                           hdDepartmentIDs - The ID of the helpdesk department.
 *                           hdDepartmentName - The name of the helpdesk department.
 *                           hdDepartmentDescription - The description of the helpdesk department.
 *  Author: Vic Fryzel
 *  Author: Andy Christ
 *  Author: Brian Smith
 *}

{t c="TRANS_MANAGE_HELPDESK_TEMPLATES" d="Manage Helpdesk Templates"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK_TEMPLATES"
	childName="TRANS_VIEW"
	sideNavMajor="helpdesk"
	sideNavMinor="helpdesk_responseTemplates"}

<table width="80%" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_SUBJECT" sortColumn="hdRespTplName"}
	{include file="$tplDirectory/widgets/table/listHeaderSort.tpl" headerName="TRANS_ADMIN" sortColumn="adminID"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_ACTIONS"}
</tr>
</thead>

<tbody>
{foreach from=$helpdeskResponseTemplates item=temp}
	{assign var=hdRespTplID value=$temp.hdRespTplID}

	<tr class="{cycle values="alt1,alt2"}">
		<td>{$temp.hdRespTplName}</td>
		<td>{$temp.adminIDs.0.adminID.0.adminUsername} ({$temp.adminIDs.0.adminID.0.adminFirstName} {$temp.adminIDs.0.adminID.0.adminLastName})</td>
		<td>
			<a href="{getHREF page="helpdesk.php" actionName="EditHelpdeskResponseTemplate" args="hdRespTplID=$hdRespTplID"}">
				<img src="{$imageDirectory}/ico/data_edit.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_EDIT}" title="{$smarty.const.TRANS_EDIT}" />
			</a>

			<a href="{getHREF page="helpdesk.php" actionName="RemoveHelpdeskResponseTemplate" args="hdRespTplID=$hdRespTplID"}">
				<img src="{$imageDirectory}/ico/data_delete.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_REMOVE}" title="{$smarty.const.TRANS_REMOVE}" />
		</td>
	</tr>
{foreachelse}
	<tr class="{cycle values="alt1,alt2"}">
		<td colspan="3">{$smarty.const.TRANS_NORESULTS}</td>
	</tr>
{/foreach}
</tbody>
</table>
{include file="$tplDirectory/widgets/paginationLinks.tpl"}
{include file="$tplDirectory/footer.tpl"}