{* $Id: ShowHelpdeskTicketDetails.tpl 10443 2007-01-09 00:00:08Z bsmith $
 * --------------------------------------------------------------
 * This template displays all details for a single helpdesk ticket. It displays everything from specific ticket
 * information, to responses, to notes, to relational information. This template "is" the EditTicket template,
 * as the two actions have been combined, to make for easier access to functions.
 *
 * Smarty Variables:
 *	$helpdeskTicket
 *
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *  $sid					The current sessionID
 *
 * Author: Brian Smith
 *}{strip}

{t c="TRANS_SUPPLIED_CONTACT" d="Supplied Contact"}
{t c="TRANS_SELECT_CONTACT" d="Select Contact"}

{t c="TRANS_POST_REPLY" d="Post Reply"}
{t c="TRANS_ONHOLD" d="On Hold"}
{t c="TRANS_QUICK_DETAILS" d="Quick Details"}
{t c="TRANS_ASSIGNED_ADMIN" d="Assigned Admin"}
{t c="TRANS_NOTES_ACTIONS" d="Notes/Actions"}
{t c="TRANS_ATTACH_FILE" d="Attach File"}
{t c="TRANS_POST_RESPONSE" d="Post Response"}

{t c="TRANS_CLIENT_TICKET_HISTORY" d="Client Ticket History"}

{t c="TRANS_DEPARTMENT" d="Department"}

{t c="TRANS_RESPONSE_TEMPLATES" d="Response Templates"}

{t c="TRANS_MANAGE_HELPDESK" d="Manage Helpdesk"}

{t c="TRANS_TICKET_DETAILS" d="Ticket Details"}
{t c="TRANS_TICKET_ID" d="Ticket ID"}
{t c="TRANS_TICKET_SUBJECT" d="Subject"}
{t c="TRANS_TICKET_PRIORITY" d="Priority"}
{t c="TRANS_TICKET_STATUS" d="Status"}
{t c="TRANS_TICKET_DATE_CREATED" d="Date Created"}
{t c="TRANS_TICKET_DATE_MODIFIED" d="Date Modified"}
{t c="TRANS_TICKET_BODY" d="Issue"}

{t c="TRANS_TICKET_NOTES" d="Ticket Notes"}

{t c="TRANS_USER_INFORMATION" d="User Information"}

{t c="TRANS_ADMIN" d="Admin"}
{t c="TRANS_CLIENT" d="Client"}
{t c="TRANS_NAME" d="Name"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_STATUS" d="Status"}


{t c="TRANS_REMOVE" d="Remove"}
{t c="TRANS_CLEAR" d="Clear"}
{t c="TRANS_PENDING_RESPONSE" d="Pending Response"}
{t c="TRANS_OPEN" d="Open"}
{t c="TRANS_CLOSE" d="Close"}
{t c="TRANS_PRIORITY" d="Priority"}


{t c="TRANS_RESPONSE" d="Response"}
{t c="TRANS_RESPONSES" d="Responses"}
{t c="TRANS_RESPONSE_DATA" d="Response Data"}
{t c="TRANS_RESPOND" d="Respond"}
{t c="TRANS_NO_RESPONSES" d="There are no responses for this ticket."}
{t c="TRANS_RESPONSE_DATE_CREATED" d="Created"}
{t c="TRANS_RESPONSE_DATE_MODIFIED" d="Modified"}
{t c="TRANS_RESPONSE_TEMPLATE" d="Response Template"}
{t c="TRANS_NO_RESP_TPLS" d="There are no response templates to apply."}
{t c="TRANS_ADDITIONAL_RESPONSES" d="Display/Hide Responses"}
{t c="TRANS_NONE" d="None"}

{t c="TRANS_ADD_NOTE" d="Add Note"}
{t c="TRANS_NOTES" d="Notes"}
{t c="TRANS_NOTE" d="Note"}
{t c="TRANS_NOTE_DATA" d="Note Data"}
{t c="TRANS_NO_NOTES" d="There are no notes for this ticket."}

{t c="TRANS_DEPARTMENTS" d="Departments"}
{t c="TRANS_EDIT_DEPARTMENTS" d="Edit Departments"}
{t c="TRANS_DEPARTMENT_DATA" d="Department Data"}

{t c="TRANS_BUCKETS" d="Buckets"}
{t c="TRANS_EDIT_BUCKETS" d="Edit Buckets"}
{t c="TRANS_BUCKET_DATA" d="Bucket Data"}
{/strip}
{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_HELPDESK"
	childName="TRANS_TICKET_DETAILS"
	sideNavMajor="helpdesk"
	sideNavMinor="helpdesk"}

<div style="float:left;">
	<table border="0" cellpadding="0" cellspacing="0" width="250" class="list">
	<thead>
	<tr class="headerRow">
		<td colspan="2">{$smarty.const.TRANS_QUICK_DETAILS}</td>
	</tr>
	</thead>

	<tbody class="alt2">
	<tr>
		<td>{$smarty.const.TRANS_TICKET_ID}:</td>
		<td>{$helpdeskTicket.hdTicketKey}</td>
	</tr>

	<tr>
		<td>{$smarty.const.TRANS_CREATED}:</td>
		<td>{$helpdeskTicket.hdTicketDateCreated|getDateTime:long}</td>
	</tr>

	<tr>
		<td>{$smarty.const.TRANS_MODIFIED}:</td>
		<td>{$helpdeskTicket.hdTicketDateModified|getDateTime:long}</td>
	</tr>
	
	<tr>
		<td>{$smarty.const.TRANS_STATUS}:</td>
		<td> {include
				file="$tplDirectory/widgets/quickEditSelectLink.tpl"
				
				useEditIcon=1
				
				editActionName="EditHelpdeskTicketResponse"

				editName="TRANS_STATUS"

				editKey="hdTicketID"
				editID=$helpdeskTicket.hdTicketID

				editColumn="hdTicketStatusID"
				editSelected=$helpdeskTicket.hdTicketStatusID
				editOptions=$helpdeskStatuses

				sid=$sid}

				{$helpdeskTicket.hdTicketStatusID|getStatusName:"helpdesk"}</td>
	</tr>

	<tr>
		<td>{$smarty.const.TRANS_BUCKETS}:</td>
		<td>{include
				file="$tplDirectory/widgets/quickEditSelectLink.tpl"

				useEditIcon=1

				editActionName="EditHelpdeskTicketResponse"

				editName="TRANS_BUCKETS"

				editKey="hdTicketID"
				editID=$helpdeskTicket.hdTicketID
				
				editColumn="hdBucketIDs[]"
				editOptions=$helpdeskBuckets
				editSelected=$helpdesk.hdBucketIDs

				sid=$sid}
				{$helpdeskTicket.hdBucketIDs|getArrayValueByID:$helpdeskBuckets}
		</td>
	</tr>

	<tr>
		<td>{$smarty.const.TRANS_DEPARTMENT}:</td>
		<td>{include
				file="$tplDirectory/widgets/quickEditSelectLink.tpl"

				useEditIcon=1

				editActionName="EditHelpdeskTicketResponse"

				editName="TRANS_DEPARTMENT"

				editKey="hdTicketID"
				editID=$helpdeskTicket.hdTicketID

				editColumn="hdDepartmentIDs[]"
				editOptions=$helpdeskDepartmentSelect
				editSelected=$helpdeskTicket.hdDepartmentIDs

				sid=$sid}
				{$helpdeskTicket.hdDepartmentIDs|getArrayValueByID:$helpdeskDepartmentSelect}
		</td>
	</tr>
	</tbody>
	</table>
</div>

<div style="float:right;">
	<table border="0" cellpadding="0" cellspacing="0" width="450" class="list">
	<thead>
	<tr class="headerRow">
		<td colspan="2">{$smarty.const.TRANS_TICKET_DETAILS}</td>
	</tr>
	</thead>

	<tbody class="alt2">
	<tr>
		{if $helpdeskTicket.clients.0.client.0.clientID}
			<td>{$smarty.const.TRANS_CLIENT}:</td>
			<td width="80%">
				{assign var=clientID value=$helpdeskTicket.clients.0.client.0.clientID}
				<img src="{$imageDirectory}/ico/note_view.gif" width="16" height="16" border="0" />
				<a href="{getHREF page="clients.php" actionName="ShowClientDetails" args="clientID=$clientID"}">
					{$helpdeskTicket.clients.0.client.0.contactFirstName} {$helpdeskTicket.clients.0.client.0.contactLastName}
				</a>
			</td>
		{else}
			<td vAlign="top">
				<table border="0" cellpadding="0" cellspacing="0" class="list" style="border-bottom:1px solid silver;">
				<thead>
				<tr class="headerRow">
					{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_SUPPLIED_CONTACT" addEmptyTD=1}
				</tr>
				</thead>
				
				<tbody>
				<tr>
					<td>{$smarty.const.TRANS_NAME}:</td>
					<td>{$helpdeskTicket.contact.hdContactFirstName} {$helpdeskTicket.contact.hdContactLastName}</td>
				</tr>
				<tr>
					<td>{$smarty.const.TRANS_EMAIL}:</td>
					<td>{$helpdeskTicket.contact.hdContactEmail}</td>
				</tr>
				{if $helpdeskTicket.contact.hdContactCompany}
						<tr>
							<td>{$smarty.const.TRANS_COMPANY}:</td>
							<td>{$helpdeskTicket.contact.hdContactCompany}</td>
						</tr>
					{/if}
				{if $helpdeskTicket.contact.hdContactAddress1}
					<tr>
						<td>{$smarty.const.TRANS_ADDRESS}:</td>
						<td>
							{$helpdeskTicket.contact.hdContactAddress1}<br />
							
							{if $helpdeskTicket.contact.hdContactAddress2}
								{$helpdeskTicket.contact.hdContactAddress2}<br />
							{/if}
	
							{$helpdeskTicket.contact.hdContactCity}, {$helpdeskTicket.contact.hdContactState} {$helpdeskTicket.contact.hdContactZip}<br />
						</td>
					</tr>
				{/if}
				</tbody>
				</table>
			</td>
			<td width="80%" vAlign="top">
				{if $possibleClients.bestGuess}
					{assign var=contact value=$possibleClients.bestGuess.contacts.0.contact.0}
					
					<table border="0" cellpadding="0" cellspacing="0" class="list" style="border-bottom:1px solid silver;">
					<thead>
					<tr class="headerRow">
						{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="Best Guess" addEmptyTD=1}
					</tr>
					<tr>
						<th colspan="2">
							<a href="{getHREF page="helpdesk.php" actionName="EditHelpdeskTicketResponse" args="a=assignClient&clientContactID=`$contact.clientContactID`&hdTicketID=`$helpdeskTicket.hdTicketID`"}">
								<img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" border="0" alt="{$smarty.const.TRANS_SELECT_CONTACT}" title="{$smarty.const.TRANS_SELECT_CONTACT}" />
							</a>
							<a href="{getHREF page="helpdesk.php" actionName="EditHelpdeskTicketResponse" args="a=assignClient&clientContactID=`$contact.clientContactID`&hdTicketID=`$helpdeskTicket.hdTicketID`"}">
								{$smarty.const.TRANS_SELECT_CONTACT}
							</a>
						</td>
					</tr>
					</thead>
					
					<tbody>
					<tr>
						<td>{$smarty.const.TRANS_NAME}:</td>
						<td>{$contact.contactFirstName} {$contact.contactLastName}</td>
					</tr>
					<tr>
						<td>{$smarty.const.TRANS_EMAIL}:</td>
						<td>{$contact.contactEmail}</td>
					</tr>
					{if $contact.contactCompany}
						<tr>
							<td>{$smarty.const.TRANS_COMPANY}:</td>
							<td>{$contact.contactCompany}</td>
						</tr>
					{/if}
					{if $contact.contactAddress1}
						<tr>
							<td>{$smarty.const.TRANS_ADDRESS}:</td>
							<td>
								{$contact.contactAddress1}<br />
								
								{if $contact.contactAddress2}
									{$contact.contactAddress2}<br />
								{/if}
		
								{$contact.contactCity}, {$contact.contactState} {$contact.contactZip}<br />
							</td>
						</tr>
					{/if}
					</tbody>
					</table>
				{/if}
			</td>
		{/if}
	</tr>
	<tr>
		<td>{$smarty.const.TRANS_SUBJECT}:</td>
		<td width="80%">{$helpdeskTicket.hdTicketSubject}</td>
	</tr>
	<tr>
		<td vAlign="top">{$smarty.const.TRANS_EMAIL_MESSAGE_BODY}:</td>
		<td width="80%">{$helpdeskTicket.hdTicketBody|nl2br}</td>
	</tr>
	</table>
</div>

{* BEGIN TICKET NOTES *}
<table width="770" border="0" cellpadding="0" cellspacing="0" class="list" style="clear:both;margin-top:1em;">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_TICKET_NOTES" headerAlign="left"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl"}
</tr>
<tr class="alt1">
	<td><strong>{$smarty.const.TRANS_USER}:</strong></td>
	<td><strong>{$smarty.const.TRANS_NOTES_ACTIONS}:</strong></td>
</thead>

<tbody>
{foreach from=$helpdeskTicket.helpdeskTicketNotes item=notes}
	<tr class="{cycle values="alt2,alt1"}">
		<td>{$notes.admins.0.admin.0.adminUsername} ({$notes.admins.0.admin.0.adminFirstName} {$notes.admins.0.admin.0.adminLastName})</td>
		<td>{$notes.hdTicketNoteBody}</td>
	</tr>
{foreachelse}
	<tr class="{cycle values="alt2,alt1"}">
		<td colspan="2">{$smarty.const.TRANS_NORESULTS}</td>
	</tr>
{/foreach}
</tbody>
</table>
{* END TICKET NOTES *}

{* BEGIN TICKET RESPONSES *}
<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr>
	<td colspan="3" onmouseover="this.style.cursor='hand'" onclick="{strip}
		{foreach item=resp from=$helpdeskTicket.helpdeskTicketResponses}
			XKtoggle('brow_{$resp.hdTicketRespID}');
		{/foreach} {/strip}return false;"> <a href="javascript:void(0);"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" border="0" /></a href="javascript:void(0);"> {$smarty.const.TRANS_ADDITIONAL_DATA}
	</td>
</tr>

<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_TICKET_DETAILS" headerAlign="left"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="&nbsp;"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="&nbsp;"}
</tr>
</thead>

{foreach from=$helpdeskTicket.helpdeskTicketResponses item=resp}
	<tr class="alt1" onmouseover="this.style.cursor='hand'" onClick="return XKtoggle('brow_{$resp.hdTicketRespID}');">
		<td width="20%">{$resp.hdTicketRespDateCreated|getDateTime:long}</td>
		<td width="80%">
			{strip}
				{if $resp.admins.0 != ""}
					{$resp.admins.0.admin.0.adminUsername} ({$resp.admins.0.admin.0.adminFirstName} {$resp.admins.0.admin.0.adminLastName})
				{else}
					{$resp.clients.0.client.0.contactUsername} ({$resp.clients.0.client.0.contactFirstName} {$resp.clients.0.client.0.contactLastName})
				{/if}
			{/strip}
		</td>
	</tr>
	<tbody id="brow_{$resp.hdTicketRespID}">
	<tr class="alt2">
		<td colspan="2">
			<table border="0" cellpadding="0" cellspacing="2">
			<tr>
				<td>{$smarty.const.TRANS_EMAIL_MESSAGE_BODY}:</td>
				<td>{$resp.hdTicketRespBody}</td>
			</tr>
			</table>
		</td>
	</tr>
	</tbody>
	<script type="text/javascript" language="javascript" charset="utf-8">XKtoggle('brow_{$resp.hdTicketRespID}');</script>
{foreachelse}
	<tr>
		<td colspan="3">{$smarty.const.TRANS_NORESULTS}</td>
	</tr>
{/foreach}
</table>
{* END TICKET RESPONSES *}

{* BEGIN POST RESPONSE FORM *}

<script language="javascript" type="text/javascript" charset="utf-8">
//<![CDATA[
var respTemplates = Array();

{foreach from=$helpdeskResponseTemplates item=respTemplate}
respTemplates[ {$respTemplate.hdRespTplID} ] = "{$respTemplate.hdRespTplParsedBody}";
{/foreach}

{literal}
function populateResponse( xx ) {
	var respTplID = xx.options[ xx.selectedIndex ].value;

	if (respTemplates[ respTplID ]) {
		var textDiv = document.getElementById('hdTicketResponseBody');
		textDiv.value = textDiv.value + respTemplates[ respTplID ].replace(/[\\]+n/ig, "\n");
	}
}

function makeNote() {
	var textDiv = document.getElementById('hdTicketResponseBody');
	textDiv.name = 'hdTicketNoteBody';
}
{/literal}
//]]>
</script>


<form name="postResponse" action="helpdesk.php">
<input type="hidden" name="action" value="{getActionID action="EditHelpdeskTicketResponse"}" />
<input type="hidden" name="hdTicketID" value="{$helpdeskTicket.hdTicketID}" />
<input type="hidden" name="sid" value="{$sid}" />

<table width="770" border="0" cellpadding="0" cellspacing="0" class="list" style="margin-top:1em;">
<thead>
<tr class="headerRow">
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl" headerName="TRANS_POST_RESPONSE" headerAlign="left"}
	{include file="$tplDirectory/widgets/table/listHeaderText.tpl"}
</tr>
</thead>

<tbody>
<tr class="{cycle values="alt1,alt2"}">
	<td>Insert Response Template:</td>
	<td>
		<select name="hdResponseTemplateID" style="width:90%" onChange="javascript:populateResponse( this );">
			<option value="null"> -- {$smarty.const.TRANS_RESPONSE_TEMPLATES} -- </option>
			{foreach from=$helpdeskResponseTemplates item=respTemplate}
				<option value="{$respTemplate.hdRespTplID}">{$respTemplate.hdRespTplName}</option>
			{/foreach}
		</select>
	</td>
</tr>

<tr class="{cycle values="alt1,alt2"}">
	<td vAlign="top">Your Response:</td>
	<td><textarea name="hdTicketResponseBody" id="hdTicketResponseBody" cols="90" rows="20"></textarea></td>
</tr>

<tr class="{cycle values="alt1,alt2"}">
	<td>{$smarty.const.TRANS_ACTIONS}:</td>
	<td>
		<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td>{$smarty.const.TRANS_STATUS}:</td>
			<td>
				<input type="radio" name="hdTicketStatusID" {if $helpdeskTicket.hdTicketStatusID == 2}checked="checked"{/if} value="2" /> {$smarty.const.TRANS_NONE}
				{foreach from=$helpdeskStatuses key=key item=val}
					{if $key == 2}

					{else}
						<input type="radio" name="hdTicketStatusID" value="{$key}" {if $helpdeskTicket.hdTicketStatusID == $key}checked="checked"{/if} /> {$val}
					{/if}
				{/foreach}
			</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<input type="submit" class="submit" value="{$smarty.const.TRANS_SEND}" />
		<input type="submit" class="submit" value="{$smarty.const.TRANS_ADD_NOTE}" onClick="javascript:makeNote();" />
		<input type="reset" class="reset" value="{$smarty.const.TRANS_CLEAR}" />
	</td>
</tr>
</tbody>
</table>

</form>
{* END POST RESPONSE FORM *}

{* BEGIN CLIENT TICKETS LIST *}
<table width="770" border="0" cellpadding="0" cellspacing="0" class="list">
<thead>
<tr class="headerRow">
	<td colspan="5">{$smarty.const.TRANS_CLIENT_TICKET_HISTORY}</td>
</tr>
</thead>

<tbody>
<tr class="alt1">
	<td><strong>{$smarty.const.TRANS_SUBJECT}:</strong></td>
	<td><strong>{$smarty.const.TRANS_TICKET_ID}:</strong></td>
	<td><strong>{$smarty.const.TRANS_CREATED}:</strong></td>
	<td><strong>{$smarty.const.TRANS_MODIFIED}:</strong></td>
	<td><strong>{$smarty.const.TRANS_STATUS}:</strong></td>
</tr>

{foreach from=$clientTickets item=ticket}
	{assign var=ticketID value=$ticket.hdTicketID}
	<tr class="{cycle values="alt2,alt1"}"
		onmouseover="this.style.cursor='hand'" onClick="javascript:document.location.href='{getHREF page="helpdesk.php" actionName="ShowHelpdeskTicketDetails" args="hdTicketID=$ticketID"}';">
		<td>{$ticket.hdTicketSubject}</td>
		<td>{$ticket.hdTicketKey}</td>
		<td>{$ticket.hdTicketDateCreated|getDate:medium}</td>
		<td>{$ticket.hdTicketDateModified|getDate:medium}</td>
		<td>{$ticket.hdTicketStatusID|getStatusName:"helpdesk"}</td>
	</tr>
{foreachelse}
	<tr class="alt1">
		<td colspan="5">{$smarty.const.TRANS_NORESULTS}</td>
	</tr>
{/foreach}
</tbody>
</table>

<br />
{* END CLIENT TICKETS LIST *}
{include file="$tplDirectory/footer.tpl"}
