{* $Id: EditClient.tpl 7627 2006-06-19 21:48:58Z mgarrett $
 * --------------------------------------------------------------
 * This template displays a form to edit an existing client.
 *
 * Smarty Variables:
 *	$formValues (array of this clients data)
 *		clientID			A unique client ID
 *		clientFirstName		A client's first name
 *		clientLastName		A client's last name
 *		clientEmail			A client's email address
 *		clientCompany		A client's company name
 *		clientActive		The active state of a client
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_CLIENTID" d="Client ID"}
{t c="TRANS_CLIENTS" d="Clients"}
{t c="TRANS_MANAGE_CLIENTS" d="Manage Clients"}
{t c="TRANS_EDIT" d="Edit"}
{t c="TRANS_EDIT_CLIENT" d="Edit Client"}
{t c="TRANS_FIRST_NAME" d="First Name"}
{t c="TRANS_LAST_NAME" d="Last Name"}
{t c="TRANS_EMAIL" d="Email"}
{t c="TRANS_COMPANY" d="Company"}
{t c="TRANS_BILLING_METHOD" d="Billing Method"}
{t c="TRANS_STATUS" d="Status"}
{t c="TRANS_USERNAME" d="Username"}
{t c="TRANS_ACTIVE" d="Active"}
{t c="TRANS_NEW_PASSWORD" d="New Password"}
{t c="TRANS_CONFIRM_PASSWORD" d="Confirm Password"}
{t c="TRANS_PASSWORD_MSG" d="Leave blank to keep old password."}
{t c="TRANS_TAX_ID_NUMBER" d="Tax ID Number"}
{t c="TRANS_APPLY" d="Apply"}
{t c="TRANS_TAX" d="Tax"}
{t c="TRANS_ACCOUNT" d="Account"}
{t c="TRANS_PERSONAL" d="Personal"}
{t c="TRANS_BILLING" d="Billing"}
{t c="TRANS_RESET" d="Reset"}
{t c="TRANS_LANGUAGE" d="Language"}
{t c="TRANS_COUNTRY" d="Country"}
{t c="TRANS_THEME" d="Theme"}

{include
	file="$tplDirectory/header.tpl"
	parentName="TRANS_MANAGE_CLIENTS"
	childName="TRANS_CLIENTS"
	grandchildName="TRANS_EDIT"
	sideNavMajor="clients"
	sideNavMinor="clients"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}

{include file="$tplDirectory/widgets/context/client.tpl" client=$client}

<form method="post" action="clients.php">
<input type="hidden" name="action" value="{getActionID action="EditClientResponse"}">
<input type="hidden" name="clientID" value="{$formValues.clientID}">
<input type="hidden" name="sid" value="{$sid}">

<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
<tbody>
<tr>
	<th scope="col" colspan="2">{$smarty.const.TRANS_ACCOUNT}</th>
</tr>
<tr class="{cycle values="alt1,alt2"}">
	<th class="nowrap" scope="row"><label for="clientID">{$smarty.const.TRANS_CLIENTID}</label></th>
	<td width="100%">{$formValues.clientID}</td>
</tr>
<tr class="{if $invalid.contactUsername}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="contactUsername">{$smarty.const.TRANS_USERNAME}</label></th>
	<td width="100%"><input size="20" 	maxlength="20" type="text" id="contactUsername" name="contactUsername" value="{$formValues.contactUsername}" /> {$invalid.contactUsername}</td>
</tr>
<tr class="{if $invalid.contactPassword}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="contactPassword">{$smarty.const.TRANS_NEW_PASSWORD}</label></th>
	<td width="100%"><input size="32" maxlength="32" type="password" id="contactPassword" name="contactPassword" value="" /> {$smarty.const.TRANS_PASSWORD_MSG} {$invalid.contactPassword}</td>
</tr>
<tr class="{if $invalid.contactPasswordConfirm}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="contactPasswordConfirm">{$smarty.const.TRANS_CONFIRM_PASSWORD}</label></th>
	<td width="100%"><input size="32" maxlength="32" type="password" id="contactPasswordConfirm" name="contactPasswordConfirm" value="" /> {$invalid.contactPasswordConfirm}</td>
</tr>
<tr class="{if $invalid.clientActive}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="clientActive">{$smarty.const.TRANS_ACTIVE}</label></th>
	<td width="100%">
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="clientActive" value="0">
		<input type="checkbox" id="clientActive" name="clientActive" value="1" {strip} 
			{if $formValues.clientActive}
				checked="checked"
			{/if}
		{/strip} /> <label for="clientActive">{$smarty.const.TRANS_ACTIVE}</label>
		{$invalid.clientActive}
	</td>
</tr>
<tr class="{if $invalid.clientStatus}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="clientStatus">{$smarty.const.TRANS_STATUS}</label></th>
	<td width="100%"><select id="clientStatus" id="clientStatus" name="clientStatus"> {html_options options=$statusList selected=$formValues.clientStatus} </select> {$invalid.clientStatus}</td>
</tr>
<tr class="{if $invalid.themeID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="themeID">{$smarty.const.TRANS_THEME}</label></th>
	<td width="100%"><select id="themeID" name="themeID"> {html_options options=$themeList selected=$formValues.themeID} </select> {$invalid.themeID}</td>
</tr>
<tr>
	<th scope="col" colspan="2">{$smarty.const.TRANS_PERSONAL}</th>
</tr>
<tr class="{if $invalid.clientFirstName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="clientFirstName">{$smarty.const.TRANS_FIRST_NAME}</label></th>
	<td width="100%"><input size="50" maxlength="50" type="text" id="clientFirstName" name="clientFirstName" value="{$formValues.clientFirstName}" /> {$invalid.clientFirstName}</td>
</tr>
<tr class="{if $invalid.clientLastName}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="clientLastName">{$smarty.const.TRANS_LAST_NAME}</label></th>
	<td width="100%"><input size="50" maxlength="50" type="text" id="clientLastName" name="clientLastName" value="{$formValues.clientLastName}" /> {$invalid.clientLastName}</td>
</tr>
<tr class="{if $invalid.clientEmail}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="clientEmail">{$smarty.const.TRANS_EMAIL}</label></th>
	<td width="100%"><input size="100" maxlength="100" type="text" id="clientEmail" name="clientEmail" value="{$formValues.clientEmail}" /> {$invalid.clientEmail}</td>
</tr>
<tr class="{if $invalid.languageID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="languageID">{$smarty.const.TRANS_LANGUAGE}</label></th>
	<td width="100%"><select id="languageID" id="languageID" name="languageID"> {html_options options=$languageList selected=$formValues.languageID} </select> {$invalid.languageID}</td>
</tr>
<tr class="{if $invalid.countriesID}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="countriesID">{$smarty.const.TRANS_COUNTRY}</label></th>
	<td width="100%"><select id="countriesID" id="countriesID" name="countriesID"> {html_options options=$countryList selected=$formValues.countriesID} </select> {$invalid.countriesID}</td>
</tr>
<tr>
	<th scope="col" colspan="2">{$smarty.const.TRANS_BILLING}</th>
</tr>
<tr class="{if $invalid.clientCompany}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="clientCompany">{$smarty.const.TRANS_COMPANY}</label></th>
	<td width="100%"><input size="100" maxlength="100" type="text" id="clientCompany" name="clientCompany" value="{$formValues.clientCompany}" /> {$invalid.clientCompany}</td>
</tr>
<tr class="{if $invalid.applyTax}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="applyTax">{$smarty.const.TRANS_TAX}</label></th>
	<td width="100%">
		<!-- The hidden input is to make sure 0 is set if not checked, which is overridden if checked. PHP uses the last arg sent. -->
		<input type="hidden" name="applyTax" value="0" />
		<input type="checkbox" id="applyTax" name="applyTax" value="1" {strip} 
			{if $formValues.applyTax}
				checked="checked"
			{/if}
		{/strip} /> <label for="applyTax">{$smarty.const.TRANS_APPLY}</label>
		{$invalid.applyTax}
	</td>
</tr>
<tr class="{if $invalid.taxIDNumber}highlight{else}{cycle values="alt1,alt2"}{/if}">
	<th class="nowrap" scope="row"><label for="taxIDNumber">{$smarty.const.TRANS_TAX_ID_NUMBER}</label></th>
	<td width="100%"><input size="50" maxlength="50" id="taxIDNumber" type="text" name="taxIDNumber" value="{$formValues.taxIDNumber}" /> {$invalid.taxIDNumber}</td>
</tr>
<tr>
	<td colspan="2">
		<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_EDIT_CLIENT}" />
		<input class="reset" type="reset" value="{$smarty.const.TRANS_RESET}" />
	</td>
</tr>
</tbody>
</table>
</form>

{include file="$tplDirectory/footer.tpl"}