{* $Id: listHeaderFilter.tpl 11933 2007-09-20 15:40:32Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> that allows filtering of that column.
 * We only want to allow filter options if the column has a finate set of values.
 *
 * Smarty Variables:
 *	$fileName		The page name to submit to.
 *	$actionID		The actionID to submit to.
 *  $sortColumn		A sort column state that you need to maintain for this filter.
 *  $sortDir		A sort direction state that you need to maintain for this filter.
 *  $query			A search query that you need to maintain for this filter.
 *  $queryColumn	A search query column that you need to maintain for this filter.
 *	$filterName		The name of the column to be filtered.
 *	$filterColumn	The database column to be filtered.
 *	$filterOptions	An array of filtered select options.
 *  $sid			The current sessionID
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/table/tableFilterHeader.tpl" filterName="CONSTANT" filterColumn="someColumnName" filterOptions="$someOptionsArrayVariable"}
 *}
{t c="TRANS_FILTER_BY" d="Filter By"}
{t c="TRANS_SHOW_ALL" d="Show All"}
{t c="TRANS_STATE" d="State"}

{if $types.$filterColumn}{assign var="filterOptions" value=$types.$filterColumn}{/if}
{if $statuses.$filterColumn}{assign var="filterOptions" value=$statuses.$filterColumn}{/if}

{strip}
<td nowrap="nowrap"{if $colWidth>0} width="{$colWidth}"{/if} style="text-align:center;">
<form method="get" action="{$fileName}">
	{getHiddenFields exclude=$filterColumn}
<span style="vertical-align: baseline;">{$smarty.const.$filterName}:</span>
<select name="{$filterColumn}" style="margin-left:2px;">
	<option value="">{$smarty.const.TRANS_SHOW_ALL}</option>
	{mb_html_options options=$filterOptions selected=$smarty.request.$filterColumn pre=" |-- "}
</select>
<input type="image" src="{$imageDirectory}/ico/030.gif" size="13" alt="" title="" style="margin-left:2px; vertical-align: text-bottom;" />
</form>
</td>
{if $addEmptyTD}
<td>&nbsp;</td>
{/if}
{/strip}