{* $Id: listHeaderSortDate.tpl 11933 2007-09-20 15:40:32Z kbailey $
 * --------------------------------------------------------------
 * This widget template is used to display each <th></th> that allows sorting of that column.
 * We only want to allow sort options if the column has infinite values.
 *
 * This widget also builds a special search box for date columns, that when you click on
 * the header name, will only search this column using dates!
 *
 * Smarty Variables:
 *	$headerName  	The constant representation of that column name.
 *	$fileName		The file name to submit to
 *	$actionID		The current actionID
 *  $sortColumn		The sort column to pass to the sortLinks widget.
 *	$sortArgs		The sort arguments to pass to the sortLinks widget.
 *	$recordOffset	The current record offset value
 *	$imageDirectory	The image directory for this theme.
 *  $sid			The current sessionID
 *
 * Example Usage:
 *	{include file="$tplDirectory/widgets/table/tableSortDateHeader.tpl" headerName="TRANS_X" sortColumn="someColumnName"}
 *}
{t c="TRANS_AND" d="AND"}
{t c="TRANS_OR" d="OR"}
{t c="TRANS_DATE" d="Date"}
{t c="TRANS_EQUAL_TO" d="equal to (=)"}
{t c="TRANS_FIND_EXACT_MATCH" d="Find Exact Match"}
{t c="TRANS_FIND_DATE_RANGE" d="Find Date Range"}
{t c="TRANS_GREATER_THAN" d="greater than (&gt;=)"}
{t c="TRANS_LESS_THAN" d="less than (&lt;=)"}
{t c="TRANS_QUICK_FIND" d="Quick Find"}
{t c="TRANS_SORT_ASC" d="Ascending Sort"}
{t c="TRANS_SORT_DESC" d="Descending Sort"}
{t c="TRANS_DATE_FORMAT" d="Date Format: YYYY/MM/DD"}

{if $fileName==""}
	{assign var="thisFile" value=$smarty.server.PHP_SELF}
{/if}

{assign var="newSort" value="asc"}
{assign var="newSortTitle" value=$smarty.const.TRANS_SORT_ASC}
{if $smarty.request.sortDir == "asc"}
	{assign var="newSort" value="desc"}
	{assign var="newSortTitle" value=$smarty.const.TRANS_SORT_DESC}
{/if}
{if $smarty.const.$headerName == "" && $headerName != ""}
	{assign var="headerName" value=$headerName}
{else}
	{assign var="headerName" value=$smarty.const.$headerName}
{/if}
{if $headerAlign==""}
	{assign var="headerAlign" value="center"}
{/if}

<td {if $colWidth>0}width="{$colWidth}"{/if} class="{$headerClass}" nowrap="nowrap">
	<a href="javascript:XKPopoverElement('{$sortColumn}SearchSpan');">
		<img src="{$imageDirectory}/ico/quicksearch.gif" border="0" alt="{$smarty.const.TRANS_SEARCH}" title="{$smarty.const.TRANS_SEARCH}" />
	</a>
	&nbsp;
	<a href="{$fileName}?{getQueryString exclude="sortColumn|sortDir"}&amp;sortColumn={$sortColumn}&amp;sortDir={$newSort}" title="{$newSortTitle}">
		<b>{$headerName}</b>
	</a>

<span id="{$sortColumn}SearchSpan" style="visibility: hidden; display: none; position: absolute; background-color: #fff; border: 1px outset #000;">
	<table border="0" cellpadding="1" cellspacing="1" class="overLibRepTab">
	<tr>
		<th id="{$sortColumn}SearchReplacementDivHandle" style="cursor: pointer; text-align: left;" valign="middle">
			<span style="float: right; cursor: pointer;" onclick="hideobjbyid('{$sortColumn}SearchSpan');">
				<img src="{$imageDirectory}/ico/remove.gif" width="13" height="13" border="0" alt="" />
			</span>
			<span>{$smarty.const.TRANS_QUICK_SEARCH}: {$headerName}</span>
		</th>
	</tr>
	<tr>
		<td>
			<span style="color: #000;">
			<table border="0">
				<tr>
					<td colspan="2" style="color: #000; border: 0px;"><input class="button" type="button" id="{$sortColumn}Cal" value="{$smarty.const.TRANS_CHOOSE_A_DATE}" /></td>
				</tr>
				<tr>
					<td colspan="2" style="color: #000; border: 0px;"><strong> - {$smarty.const.TRANS_OR} - </strong></td>
				</tr>
				<tr>
					<td colspan="2" style="color: #000; border: 0px;">{$smarty.const.TRANS_CHOOSE_A_DATE_RANGE}:</td>
				</tr>
				<tr>
					<td style="color: #000; border: 0px;">{$smarty.const.TRANS_FROM}:</td>
					<td style="color: #000; border: 0px;"><input type="button" class="button" id="{$sortColumn}BeginDate" value="{''|date_format:"%m/%d/%Y":"now"}" /> </td>
				</tr>
				<tr>
					<td style="color: #000; border: 0px;">{$smarty.const.TRANS_THROUGH}:</td>
					<td style="color: #000; border: 0px;"><input type="button" class="button" id="{$sortColumn}EndDate" value="{''|date_format:"%m/%d/%Y":"now"}" /> </td>
				</tr>
				<tr>
					<td style="color: #000; border: 0px;"></td>
					<td style="color: #000; border: 0px;"><input type="button" class="button" value="{$smarty.const.TRANS_SHOW_DATA}" onclick="{$sortColumn}ShowDateRange();" /> </td>
				</tr>
			</table>
			</span>
		</td>
	</tr>
	</table>
</span>
<script language="javascript">
<!--
	new Draggable('{$sortColumn}SearchSpan',{literal}{{/literal}handle:'{$sortColumn}SearchReplacementDivHandle'{literal}}{/literal});
	
	{assign var="excludeArgs" value="recordOffset|`$sortColumn`GreaterThan|`$sortColumn`LessThan"}
	
	function go{$sortColumn}(cal){literal}{{/literal}
		if (cal.dateClicked) {literal}{{/literal}
			document.location.href = "{$fileName}?{getQueryString separator="&" exclude=$excludeArgs}&{$sortColumn}GreaterThan=" + cal.date.print("%m/%d/%Y") + "&{$sortColumn}LessThan=" + cal.date.print("%m/%d/%Y") + "%2023:59:59";
		{literal}}{/literal}
	{literal}}{/literal}
	
	function go{$sortColumn}BD(cal){literal}{{/literal}
		if (cal.dateClicked) {literal}{{/literal}
			$('{$sortColumn}BeginDate').value = cal.date.print("%m/%d/%Y");
		{literal}}{/literal}
	{literal}}{/literal}
	
	function go{$sortColumn}ED(cal){literal}{{/literal}
		if (cal.dateClicked) {literal}{{/literal}
			$('{$sortColumn}EndDate').value = cal.date.print("%m/%d/%Y");
		{literal}}{/literal}
	{literal}}{/literal}
	
	function {$sortColumn}ShowDateRange(){literal}{{/literal}
		var startDate = $('{$sortColumn}BeginDate').value;
		var endDate = $('{$sortColumn}EndDate').value+"%2023:59:59";
		document.location.href = "{$fileName}?{getQueryString separator="&" exclude=$excludeArgs}&{$sortColumn}GreaterThan=" + startDate + "&{$sortColumn}LessThan=" + endDate;
	{literal}}{/literal}
	
	Zapatec.Calendar.setup({literal}{{/literal}
		weekNumbers       : false,
		showOthers        : false,
		showsTime         : false,
		timeFormat        : "12",
		step              : 2,
		range             : [1993.01, 2029.12],
		button            : "{$sortColumn}Cal",
		onUpdate          : go{$sortColumn}
	{literal}}{/literal});
	
	Zapatec.Calendar.setup({literal}{{/literal}
		weekNumbers       : false,
		showOthers        : false,
		showsTime         : false,
		timeFormat        : "12",
		step              : 2,
		range             : [1993.01, 2029.12],
		button            : "{$sortColumn}BeginDate",
		onUpdate          : go{$sortColumn}BD
	{literal}}{/literal});
	
	Zapatec.Calendar.setup({literal}{{/literal}
		weekNumbers       : false,
		showOthers        : false,
		showsTime         : false,
		timeFormat        : "12",
		step              : 2,
		range             : [1993.01, 2029.12],
		button            : "{$sortColumn}EndDate",
		onUpdate          : go{$sortColumn}ED
	{literal}}{/literal});
	
// -->
</script>


</td>
{if $addEmptyTD}
<td>&nbsp;</td>
{/if}