{* $Id: ShowFAQs.tpl 11808 2007-08-24 22:12:32Z bwoolley $
 * --------------------------------------------------------------
 * This template displays a list of FAQs. All pieces of data associated with a
 * FAQ are available in the $faqs variable, which is an array of FAQs.
 *
 * Smarty Variables:
 *	$faqs -- an array of FAQs, who every element is an array of FAQ information
 *	         That information is structured as follows (below is listed the elements of every FAQ):
 *	           faqID --  The ID of the FAQ
 *	           faqCategoryID -- The ID of the FAQ Category that this FAQ belongs to
 *	           faqCategoryData -- An array of data about the FAQ Category that this question belongs to
 *	                            The array is of the form:
 *	                              faqCategoryID -- The ID of the FAQ Category
 *	                              faqCategoryName -- The name of the FAQ Category
 *								  faqCategoryType -- The type of the FAQ Category
 *	           faqQuestion -- The question of the FAQ
 *	           faqAnswer -- The FAQ answer
 *	           faqDateCreated -- The UNIX timestamp of when this FAQ was created
 *}

{t c="TRANS_ADDITIONAL_DATA" d="Display/Hide Additional Data"}
{t c="TRANS_FAQ_CATEGORIES" d="FAQ Categories"}
{t c="TRANS_NO_FAQS_IN_FAQ_CATEGORY" d="No FAQs were found in this category."}
{t c="TRANS_NO_FAQ_CATEGORIES_FOUND" d="No FAQ categories were found to display."}
{t c="TRANS_QUESTION" d="Question"}
{t c="TRANS_ANSWER" d="Answer"}
{t c="TRANS_FAQS" d="FAQs"}

{include file="$tplDirectory/header.tpl" tabMajor="support" tabMinor="faqs"}

<div class="box07x">
	<div class="st01x"><div style="float: left;"><img src="{$imageDirectory}/ico/faq-icon.gif" width="30" height="30" border="0" alt="" /></div><h1>{$smarty.const.TRANS_FAQS}</h1></div>

	<table width="100%" border="0" cellpadding="0" cellspacing="1" class="listClient">
		<thead>
			<tr class="subHeaderRowClient" bgcolor="#CCCCCC">
				<td class="firstTD">
					{$smarty.const.TRANS_FAQ_CATEGORIES}
				</td>
			</tr>
			<tr>
				<td style="cursor: pointer;" onclick="{strip}
					{foreach item="cat" from=$faqCategories}
						XKtoggle('category_{$cat.faqCategoryID}');
					{/foreach} {/strip}"><img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" border="0" /> {$smarty.const.TRANS_ADDITIONAL_DATA}
				</td>
			</tr>
		</thead>

	{********* FAQ CATEGORY LOOP *********}
	{********* FAQ CATEGORY LOOP *********}
	{********* FAQ CATEGORY LOOP *********}
	{foreach from=$faqCategories item="cat"}
		{if $cat.faqCategoryID}
			{assign var="faqCategoryID" value=$cat.faqCategoryID}

			{if $className=="alt1"}
    				{assign var="className" value="alt2"}
			{else}
    				{assign var="className" value="alt1"}
			{/if}
			<tbody>
				<tr class="{cycle values="alt1,alt2"}"
						onmouseover="this.className='althover';"
						onmouseout="this.className='{$className}';">
					<td style="cursor: pointer;" onclick="return XKtoggle('category_{$cat.faqCategoryID}');">
						<img src="{$imageDirectory}/ico/data_down.gif" width="16" height="16" border="0" />
						<a name="category_{$cat.faqCategoryID}"></a>
						<a href="#category_{$cat.faqCategoryID}"><strong>{$cat.faqCategoryName}</strong></a>
					</td>
				</tr>
			</tbody>
			<tbody id="category_{$cat.faqCategoryID}">
				<tr>
					<td>
						<table summary="{$smarty.const.TRANS_FAQ_CATEGORY_DATA}" width="100%">
						<tr>
							<th scope="col" colspan="2">{$smarty.const.TRANS_FAQS}</th>
						</tr>
						<tr>
							<td colspan="2">
								{********* FAQ LOOP *********}
								{********* FAQ LOOP *********}
								{********* FAQ LOOP *********}
								{assign var="faqs" value=$cat.faqs}
								{foreach from=$faqs item="faq"}
									{assign var="faqID" value=$faq.faqID}

									{if $className2=="alt1"}
										{assign var="className2" value="alt2"}
									{else}
										{assign var="className2" value="alt1"}
									{/if}
									<tbody>
									<tr class="{cycle values="alt1,alt2"}"
										onmouseover="this.className='althover';"
										onmouseout="this.className='{$className2}';">
										<td onmouseover="this.style.cursor='hand'" onclick="return XKtoggle('faq_{$cat.faqCategoryID}_{$faqID}');" colspan="2">
											<a name="faq_{$cat.faqCategoryID}_{$faqID}"></a>
											<a href="#faq_{$cat.faqCategoryID}_{$faqID}">{$faq.faqQuestion|constant}</a>
										</td>
									</tr>
									</tbody>
									<tbody id="faq_{$cat.faqCategoryID}_{$faqID}">
									<tr>
										<td colspan="2">
											{$faq.faqAnswer|constant|nl2br|html_entity_decode}
											<script type="text/javascript" language="javascript" charset="utf-8">XKtoggle('faq_{$cat.faqCategoryID}_{$faqID}');</script>
										</td>
									</tr>
									</tbody>
								{foreachelse}
									{$smarty.const.TRANS_NO_FAQS_IN_FAQ_CATEGORY}
								{/foreach}
								{********* END FAQ LOOP *********}
								{********* END FAQ LOOP *********}
								{********* END FAQ LOOP *********}
							</td>
						</tr>
						</table>
						<script type="text/javascript" language="javascript" charset="utf-8">XKtoggle('category_{$cat.faqCategoryID}');</script>
					</td>
				</tr>
			</tbody>
		{/if}
	{foreachelse}
			<tbody>
				<tr bgcolor="#EEEDE9">
					<td>
						{$smarty.const.TRANS_NO_FAQ_CATEGORIES_FOUND}
					</td>
				</tr>
			</tbody>
	{/foreach}
	{********* END FAQ CATEGORY LOOP *********}
	{********* END FAQ CATEGORY LOOP *********}
	{********* END FAQ CATEGORY LOOP *********}
	</table>
</div>{* box07 *}

{include file="$tplDirectory/footer.tpl"}
