{* $Id: header.tpl 13494 2008-12-09 17:26:34Z kbailey $
 * --------------------------------------------------------------
 * This is the primary header template for the Client GUI of ModernBill. Note that this header.tpl
 * file will open several HTML tags must be closed by the footer.tpl file.
 *
 * Smarty Variables:
 *  $htmlTitle		The title of this document
 *  $htmlLang		The language this document will render
 *	$parentName		The page info parent name
 *	$childName		The page info child name
 *	$useMenu		The tab name to highlight
 *	$tabMajor		The side navigation file to include
 *	$loginName		The name of the admin user who is logged in
 * 	$cssDirectory	The relative path to the theme's css directory
 *	$jsDirectory	The relative path to the theme's javascript directory
 *	$imageDirectory	The relative path to the theme's image directory
 *
 * Example Usage:
 *  {include file="$tplDirectory/client/header.tpl" parentName="TRANS_" childName="TRANS_" tabMajor="dashboard"}
 *
 * Author: Michael Fountain
 *}
{t c="TRANS_MY_DASHBOARD" d="My Dashboard"}
{t c="TRANS_MY_DOMAINS" d="My Domains"}
{t c="TRANS_MY_FAQS" d="My FAQs"}
{t c="TRANS_MY_TODOS" d="My Todos"}
{t c="TRANS_MY_PACKAGES" d="My Packages"}

{t c="TRANS_LOGOFF" d="Logoff"}
{t c="TRANS_LOGGED_IN_AS" d="Logged in as"}

{t c="TRANS_PROFILE" d="Profile"}
{t c="TRANS_PACKAGES" d="Packages"}
{t c="TRANS_DOMAINS" d="Domains"}
{t c="TRANS_CERTS" d="Certs"}
{t c="TRANS_SUPPORT" d="Support"}
{t c="TRANS_OVERVIEW" d="Overview"}
{t c="TRANS_TODOS" d="Todos"}
{t c="TRANS_INVOICES" d="Invoices"}
{t c="TRANS_CONTACTS" d="Contacts"}
{t c="TRANS_SSO__SETTINGS" d="SSO Settings"}

{php}
	global $CONF;
	$clientContactID = $CONF['user']['clientContactID'];
	$this->assign('clientContactID', $clientContactID);
{/php}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$htmlLang}" lang="{$htmlLang}" dir="{$smarty.const.TRANS_TEXTDIRECTION}">
<head>
<title>{strip}
	{if $htmlTitle}
		{$htmlTitle}
	{else}
		{if $parentName}
			{$smarty.const.$parentName}
		{/if}
		{if $childName}
			&nbsp;&raquo; {$smarty.const.$childName}
		{/if}
		{if $grandchildName}
			&nbsp;&raquo; {$smarty.const.$grandchildName}
		{/if}
	{/if}
{/strip}</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" href="{$cssDirectory}/style.css" charset="utf-8" />
<link rel="stylesheet" type="text/css" href="{$cssDirectory}/clientstyle.css" charset="utf-8" />
<link rel="stylesheet" type="text/css" href="{$cssDirectory}/tabs.css" charset="utf-8" />
<link rel="shortcut icon" href="{$imageDirectory}/logos/favicon.ico" />
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/main.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/toggle.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/overlib.js"></script>
<script language="JavaScript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/pushpull.js"></script>
{if $includeAjaxJS}
<script language="javascript" type="text/javascript" charset="utf-8" src="{$jsDirectory}/../ajax/core/ajax.inc.js"></script>
{/if}
</head>
<body>

<br />

<table width="770" border="0" cellpadding="0" cellspacing="0" style="margin-left:auto;margin-right:auto;">
<tr>
	<td align="left" valign="middle">
		<img src="{$imageDirectory}/logos/logo.gif" alt="" title="" />
	</td>
	<td align="right" valign="middle">
		{strip}
        <img src="{$imageDirectory}/ico/client/loggedas.gif" width="13" height="13" align="middle" alt="" title="" style="vertical-align:middle;border-style:none;" />
		&nbsp;
        {$smarty.const.TRANS_LOGGED_IN_AS}: <strong>{$loginUsername}</strong>
        &nbsp;
        <img src="{$imageDirectory}/ico/client/profile.gif" width="13" height="13" align="middle" alt="" title="" style="vertical-align:middle;border-style:none;" />
		&nbsp;
        <a href="{getHREF page="profile.php" actionName="EditClientContact"}&clientContactID={$clientContactID}">{$smarty.const.TRANS_PROFILE}">
            {$smarty.const.TRANS_PROFILE}
        </a>
		{if $smarty.const.SSO_ENABLED}
			{php}
				require_once(MB_LIBPATH . '/lib-tk/include/sso/SSOSettings.php');
				$sso_props = SSOSettings::getProps();
				$sso_api_url = $sso_props['api_url']
					. '/ui/main?sp_id='
					. $sso_props['sp_id']
					. '&redirect_url='
					. urlencode(get_base_url());
				$this->assign('sso_api_url', $sso_api_url);
			{/php}
			&nbsp;
			<img src="{$imageDirectory}/ico/024.gif" width="16" height="16" align="middle" alt="" title="" style="vertical-align:middle;border-style:none;" />
			<a href="{$sso_api_url}">
				{$smarty.const.TRANS_SSO__SETTINGS}
			</a>
		{/if}
		&nbsp;
        <img src="{$imageDirectory}/ico/client/logoff.gif" width="13" height="13" align="middle" alt="" title="" style="vertical-align:middle;border-style:none;" />
		&nbsp;
		{if $smarty.const.SSO_ENABLED}
			<a href="{getHREF page="login.php" actionName="InitSSOLogout"}">{$smarty.const.TRANS_LOGOFF}</a>
		{else}
			<a href="{getHREF page="login.php" actionName="LogoutResponse"}">{$smarty.const.TRANS_LOGOFF}</a>
		{/if}
		{/strip}
	</td>
	<td align="right" valign="middle" width="180">
		<a href="http://www.parallels.com" target="_blank"><img src="{$imageDirectory}/logos/ParallelsLogo.gif" width="170" height="48" alt="Parallels" title="Parallels"/></a>
	</td>
</tr>
<tr><td colspan="3">

<div id="header">
<ul id="primary">
	{strip}
	{include file="$tplDirectory/widgets/menus/tabMenu_dashboard.tpl"}
	{include file="$tplDirectory/widgets/menus/tabMenu_packages.tpl"}
	{include file="$tplDirectory/widgets/menus/tabMenu_profile.tpl"}
	{include file="$tplDirectory/widgets/menus/tabMenu_support.tpl"}
<!--	{include file="$tplDirectory/widgets/menus/tabMenu_sellers.tpl"} -->
	{/strip}
</ul>
</div>
<div id="main">
<div id="contents">

{*
 * Note: Leave the <td> above open. It will be closed at the top of the footer.tpl file.
 * Example: "header.tpl <td>" some content "</td> footer.tpl"
 *}
