{* $Id: EditTodo.tpl 10514 2007-01-19 15:19:10Z bsmith $
 * --------------------------------------------------------------
 * This template displays a form to edit a To-Do item. Using the given smarty variable 
 * $todo, the form is prepopulated with the to-do's current information. The 
 * form should post to todos.php, with the action ID for the EditTodoResponse action.
 *
 * Smarty Variables:
 *	$todo  An array of this to-do data. Every element in this array can be considered
 *		   to be one to-do, and as such, every element is an array. Every to-do
 *		   has the following keys:
 *			todoID  -- The ID of the to-do item.
 *			todoTitle  -- The title of the to-do item.
 *			todoDesc -- A short description of the to-do item.
 *			adminID -- The ID of the admin who generated this to-do item.
 *			todoStatusID -- The status of the to-do item.
 *			todoDateDue -- The date and time that this item should be finished before.
 *  $todostatus -- Array of possible statuses for the To Do item. The current status is selected.
 *  $adminlist -- Array of all active admins on the system so that a To-Do can be
 * 				  assigned to any of them. The current admin is selected.
 *}
{t c="TRANS_MY_TODO_ITEMS" d="My Todo Items"}
{t c="TRANS_TASKS" d="Todo Tasks"}
{t c="TRANS_EDIT_TODO" d="Edit Todo"}
{t c="TRANS_ISPUBLIC" d="Is Public"}

{t c="TRANS_TITLE" d="Title"}
{t c="TRANS_DESCRIPTION" d="Description"}
{t c="TRANS_ASSIGNED_ADMINS" d="Assigned Admins"}
{t c="TRANS_DATE_DUE" d="Date Due"}

{t c="TRANS_MANAGE_TODOS" d="Manage Todos"}
{t c="TRANS_EDIT" d="Edit"} 

{include file="$tplDirectory/header.tpl" tabMajor="dashboard" tabMinor="todos"}

{include file="$tplDirectory/widgets/showInvalid.tpl" inputInvalid=$inputInvalid}
<table  border="0" width="98%" cellpadding="0" cellspacing="12"  class="tab01">
<tr>
    <td colspan="2">
		<div class="box07">
			<div class="st01"><h1>{$smarty.const.TRANS_MY_TODO_ITEMS}</h1></div>
			<form method="post" action="todos.php">
			<input type="hidden" name="action" value="{getActionID action="EditTodoResponse"}" />
			<input type="hidden" name="todoID" value="{$todo.todoID}" />
			<input type="hidden" name="sid" value="{$sid}" />
			
			<table  width="770" border="0" cellpadding="0" cellspacing="3" class="tab01" >
			<tbody>
			<tr>
				<th scope="col" colspan="2">{$smarty.const.TRANS_TODOS}</th>
			</tr>
			<tr class="{if $invalid.todoTitle}highlight{else}{cycle values="alt1,alt2"}{/if}">
				<th class="nowrap" scope="row"><label for="todoTitle">{$smarty.const.TRANS_TITLE}</label></th>
				<td width="100%"><input size="20" maxlength="255" type="text" id="todoTitle" name="todoTitle" value="{$todo.todoTitle}" /> {$invalid.todoTitle}</td>
			</tr>
			<tr class="{if $invalid.todoDesc}highlight{else}{cycle values="alt1,alt2"}{/if}">
				<th class="nowrap" scope="row"><label for="todoDesc">{$smarty.const.TRANS_DESCRIPTION}</label></th>
				<td width="100%"><textarea cols="40" rows="5" id="todoDesc" name="todoDesc">{$todo.todoDesc}</textarea> {$invalid.todoDesc}</td>
			</tr>
			<tr class="{if $invalid.todoIsPublic}highlight {else}{cycle values="alt1,alt2"}{/if}">
				<th class="nowrap" scop="row"><label for="todoIsPublic">{$smarty.const.TRANS_ISPUBLIC}</label></th>
				<td width="100%"><input type="checkbox" id="todoIsPublic" name="todoIsPublic" value="1" {if $todo.todoIsPublic}checked="checked"{/if} /> {$invalid.todoIsPublic}</td>
			</tr>
			<tr class="{if $invalid.todoStatusID}highlight{else}{cycle values="alt1,alt2"}{/if}">
				<th class="nowrap" scope="row"><label for="todoStatusID">{$smarty.const.TRANS_STATUS}</label></th>
				<td width="100%"><select id="todoStatusID" name="todoStatusID"> {html_options options=$todostatus selected=$todo.todoStatusID} </select> {$invalid.todoStatusID}</td>
			</tr>
			<tr class="{if $invalid.todoDateDue}highlight{else}{cycle values="alt1,alt2"}{/if}">
				<th class="nowrap" scope="row"><label for="todoDateDue">{$smarty.const.TRANS_DATE_DUE}</label></th>
				<td width="100%">{include file="$tplDirectory/widgets/dateSelector.tpl" param="todoDateDue"}{$invalid.todoDateDue}</td>
			</tr>
			<td colspan="2">
					<input class="submit" type="submit" name="submit" value="{$smarty.const.TRANS_SAVE}" />
			{*		<input class="reset" type="reset" value="{$smarty.const.TRANS_RESET}" /> *}
				</td>
			</tbody>
			</table>
			</form>
		</div>
	</td>
</tr>
</table>
{include file="$tplDirectory/footer.tpl"}
